'use strict';

var vt = require('crypto');
var He = require('fs');
var path = require('path');
var promises = require('fs/promises');
var ui = require('tty');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var vt__default = /*#__PURE__*/_interopDefault(vt);
var He__default = /*#__PURE__*/_interopDefault(He);
var ui__default = /*#__PURE__*/_interopDefault(ui);

function fr(){if(typeof self<"u")return self;if(typeof window<"u")return window;if(typeof global<"u")return global;if(typeof globalThis<"u")return globalThis;throw new Error("unable to locate global object")}function Q(){let e=fr();return e._zeedGlobal==null&&(e._zeedGlobal={}),e._zeedGlobal}function pr(e){return e===!0||e==="true"||e==="1"||typeof e=="number"&&e!==0?e="*":e===!1||e==="false"||e===0||e==="0"||e==null||e==="null"||e==="undefined"?e="":e=String(e),e}function dr(){return pr(typeof process<"u"?process.env.ZEED??process.env.DEBUG:typeof localStorage<"u"?localStorage.zeed??localStorage.debug:"*")}function j(e=dr()){let t,n=[],r=[];if(!e)t=function(o){return !1};else if(e==="*")t=function(o){return !0};else {let o,i=e.split(/[\s,]+/),u=i.length;for(o=0;o<u;o++){if(!i[o])continue;let a=i[o].replace(/\*/g,".*?");a[0]==="-"?n.push(new RegExp(`^${a.substr(1)}$`)):r.push(new RegExp(`^${a}$`));}t=function(a){if(n.length===0&&r.length===0)return !0;let s,c;for(s=0,c=n.length;s<c;s++)if(n[s].test(a))return !1;for(s=0,c=r.length;s<c;s++)if(r[s].test(a))return !0;return !1};}return t.accept=r,t.reject=n,t.filter=e,t}function gr(){return typeof process<"u"?process.env.ZEED_LEVEL??process.env.LEVEL??process.env.DEBUG_LEVEL:typeof localStorage<"u"?localStorage.zeed_level??localStorage.level??localStorage.debug_level:void 0}function ze(e){if(e===!1)return X;if(typeof e=="number")return e;if(typeof e=="string"){let t=It[e.toLocaleLowerCase().trim()];if(t!=null)return t}return q}function z(e=gr()){let t=ze(e);return n=>n>=t}function be(e={}){let{level:t=void 0,filter:n=void 0}=e,r=j(n),o=z(t);return i=>{if(!o(i.level)||!r(i.name))return;let u=i.name?`[${i.name}]`:"";switch(i.level){case O:console.info(`I|*   ${u}`,...i.messages);break;case B:console.warn(`W|**  ${u}`,...i.messages);break;case $:console.error(`E|*** ${u}`,...i.messages);break;default:console.debug(`D|    ${u}`,...i.messages);break}}}var q=-1,J=0,O=1,B=2,$=3,we=4,X=9007199254740991,It={"*":q,a:q,all:q,d:J,dbg:J,debug:J,i:O,inf:O,info:O,w:B,warn:B,warning:B,e:$,err:$,error:$,fatal:we,off:X,"-":X};function Mt(e=""){let t=[be()],n=s=>!0,r=!1,o=u,i=!1;function u(s="",c){let p=ze(c??q);function l(g,m){return p<=g?m:()=>{}}let f=l(J,(...g)=>{d({name:s,messages:g,level:J});});f.label=s,f.extend=function(g){return o(s?`${s}:${g}`:g)};let d=g=>{if(n(s))for(let m of t)m&&m(g);};return f.debug=l(J,(...g)=>{d({name:s,messages:g,level:J});}),f.info=l(O,(...g)=>{d({name:s,messages:g,level:O});}),f.warn=l(B,(...g)=>{d({name:s,messages:g,level:B});}),f.error=l($,(...g)=>{d({name:s,messages:g,level:$});}),f.fatal=l(we,(...g)=>{throw d({name:s,messages:g,level:we}),new Error(`${g.map(String).join(" ")}`)}),f.assert=l(we,(g,...m)=>{(g==null||typeof g=="number"&&isNaN(g)||!g)&&f.fatal(...m);}),f}function a(s="",c){let p=o(s,c);return i&&p.debug(`+++ init of logger "${s}" on level "${p.level}".`),p}return a.registerHandler=function(s){t.push(s);},a.setFilter=function(s){n=j(s);},a.setLock=(s=!0)=>r=s,a.setDebug=(s=!0)=>i=s,a.setHandlers=function(s=[]){o!==u&&(o=u),!r&&(t=[...s].filter(c=>typeof c=="function"));},a.level=q,a.setLogLevel=function(s=q){r||(a.level=s);},a.setFactory=function(s){r||(o=s);},a}var N;function qe(e){let t=Mt();return e?e(t):t.setHandlers([be()]),t}function We(e){if(N==null)try{let t=Q();t!=null?t?.logger==null?(N=qe(e),t.logger=N):N=t.logger:N=qe(e);}catch{N=qe(e);}return N}function kt(){if(N!=null)return N;try{let e=Q();if(e?.logger!=null)return e.logger}catch{}}function I(e,t){return We()(e,t)}function mr(...e){throw kt()?.("assert")?.fatal(...e),new Error(`${e.map(String).join(" ")}`)}function yr(e,...t){(e==null||typeof e=="number"&&isNaN(e)||!e)&&mr(...t);}function Ct(e,...t){yr(e,...t);}var Bt=(e,t)=>t instanceof Object&&!Array.isArray(t)?Object.keys(t).sort().reduce((n,r)=>(n[r]=t[r],n),{}):t;function Si(e,t=void 0){return JSON.stringify(e,Bt,t)}function hr(e,t){let n=[],r=[];return t==null&&(t=function(o,i){return n[0]===i?"[Circular ~]":`[Circular ~.${r.slice(0,n.indexOf(i)).join(".")}]`}),function(o,i){if(n.length>0){let u=n.indexOf(this);~u?n.splice(u+1):n.push(this),~u?r.splice(u,1/0,o):r.push(o),~n.indexOf(i)&&(i=t?.call(this,o,i));}else n.push(i);i=Bt(o,i);try{return e==null?i:e.call(this,o,i)}catch{}return String(i)}}function M(e,t,n,r){return JSON.stringify(e,hr(t,r),n)}var Pi=M;function xr(e){let t=unescape(encodeURIComponent(e)),n=t.length,r=new Uint8Array(n);for(let o=0;o<n;o++)r[o]=t.codePointAt(o)||0;return r}function br(e){let t=e.length,n="",r=0;for(;t>0;){let o=t<1e4?t:1e4,i=e.subarray(r,r+o);r+=o,n+=String.fromCodePoint.apply(null,i),t-=o;}return decodeURIComponent(escape(n))}var Te;function $t(e){if(Te==null&&(Te=xr,typeof TextEncoder<"u")){let t=new TextEncoder;Te=n=>t.encode(n);}return Te(e.normalize("NFC"))}var Le;function Ot(e){if(Le==null&&(Le=br,typeof TextDecoder<"u")){let t=new TextDecoder("utf-8",{ignoreBOM:!0});Le=n=>t.decode(n);}return Le(e).normalize("NFC")}function E(e){return e instanceof ArrayBuffer?new Uint8Array(e):typeof e=="string"?$t(e):e.length?new Uint8Array(e):e}function Ii(...e){let t=0,n=e.flat(1).map(i=>{let u=E(i);return t+=u.length,u}),r=new Uint8Array(t),o=0;for(let i of n)r.set(i,o),o+=i.length;return r}function _t(e){if(typeof Buffer<"u")return Buffer.from(E(e)).toString("hex");let t="0123456789abcdef",n="";for(let r of [...E(e)])n+=t[r>>4]+t[r&15];return n}function jt(e){return Uint8Array.from(e.match(/.{1,2}/g).map(t=>parseInt(t,16)))}function Nt(e,t=!1){let n=E(e),r="";if(typeof Buffer<"u")r=Buffer.from(n).toString("base64");else {let o="";for(let i=0;i<n.byteLength;i++)o+=String.fromCharCode(n[i]);r=btoa(o);}return t?r.replaceAll("=",""):r}function Mi(e){let t=E(e);if(typeof Buffer<"u")return Buffer.from(t).toString("base64url").replaceAll("=","");let n="";for(let r=0;r<t.byteLength;r++)n+=String.fromCharCode(t[r]);return btoa(n).replaceAll("+","-").replaceAll("/","_").replaceAll("=","")}function wr(e){if(e=e.replaceAll("-","+").replaceAll("_","/"),typeof Buffer<"u"){let r=Buffer.from(e,"base64");return new Uint8Array(r.buffer,r.byteOffset,r.byteLength)}let t=atob(e),n=new Uint8Array(t.length);for(let r=0;r<t.length;r++)n[r]=t.charCodeAt(r);return n}function ki(e){return Ot(wr(e))}function Vt(e,t){if(e.byteLength!==t.byteLength)return !1;let n=E(e),r=E(t);for(let o=0;o<n.length;o++)if(n[o]!==r[o])return !1;return !0}function Je(e){return $t(M(e))}function Ze(e){return JSON.parse(Ot(e))}function Ht(e,t){if(typeof e!="string")if(e instanceof ArrayBuffer&&e.byteLength!==void 0)e=String.fromCharCode.apply(String,[].slice.call(new Uint8Array(e)));else if(Array.isArray(e))e=String.fromCharCode.apply(String,e);else if(e.constructor===Uint8Array)e=String.fromCharCode.apply(String,[].slice.call(e));else return !1;t=t||16;let n=[],r="0123456789ABCDEF";for(let o=0;o<e.length;o+=t){let i=e.slice(o,Math.min(o+t,e.length)),u=`0000${o.toString(16)}`.slice(-4),a=i.split("").map(c=>{let p=c.charCodeAt(0);return ` ${r[(240&p)>>4]}${r[15&p]}`}).join("");a+="   ".repeat(t-i.length);let s=i.replace(/[\x00-\x1F\x20]/g,".");s+=" ".repeat(t-i.length),n.push(`${u} ${a}  ${s}`);}return n.join(`
`)}var ee;function zt(){return ee===void 0&&(ee=(typeof TextDecoder>"u"?null:new TextDecoder("utf-8",{fatal:!0,ignoreBOM:!0}))??null,ee&&ee.decode(new Uint8Array).length===1&&(ee=null)),ee}var Wt="Unexpected end of array",Jt="Integer out of Range",Ke=class{constructor(t){this.arr=t,this.pos=0;}};function Ee(e){return new Ke(e)}function Ye(e,t){let n=pe(e.arr.buffer,e.pos+e.arr.byteOffset,t);return e.pos+=t,n}function te(e){let t=0,n=1,r=e.arr.length;for(;e.pos<r;){let o=e.arr[e.pos++];if(t=t+(o&127)*n,n*=128,o<128)return t;if(t>Number.MAX_SAFE_INTEGER)throw new Error(Jt)}throw new Error(Wt)}function De(e){return Ye(e,te(e))}function fe(e){return e.arr[e.pos++]}function Zt(e){let t=e.arr[e.pos]+(e.arr[e.pos+1]<<8);return e.pos+=2,t}function Kt(e){let t=e.arr[e.pos]+(e.arr[e.pos+1]<<8)+(e.arr[e.pos+2]<<16)+(e.arr[e.pos+3]<<24)>>>0;return e.pos+=4,t}function Qe(e){let t=e.arr[e.pos++],n=t&63,r=64,o=(t&64)>0?-1:1;if(!(t&128))return o*n;let i=e.arr.length;for(;e.pos<i;){if(t=e.arr[e.pos++],n=n+(t&127)*r,r*=128,t<128)return o*n;if(n>Number.MAX_SAFE_INTEGER)throw new Error(Jt)}throw new Error(Wt)}function Ar(e){let t=te(e);if(t===0)return "";{let n=String.fromCodePoint(fe(e));if(--t<100)for(;t--;)n+=String.fromCodePoint(fe(e));else for(;t>0;){let r=t<1e4?t:1e4,o=e.arr.subarray(e.pos,e.pos+r);e.pos+=r,n+=String.fromCodePoint.apply(null,o),t-=r;}return decodeURIComponent(escape(n))}}function Ue(e){let t=zt();return t?t.decode(De(e)):Ar(e)}function Xe(e,t){let n=new DataView(e.arr.buffer,e.arr.byteOffset+e.pos,t);return e.pos+=t,n}function et(e){return Xe(e,4).getFloat32(0,!1)}function vr(e){return Xe(e,8).getFloat64(0,!1)}function Ur(e){return Xe(e,8).getBigInt64(0,!1)}var Er=[e=>{},e=>null,Qe,et,vr,Ur,e=>!1,e=>!0,Ue,e=>{let t=te(e),n={};for(let r=0;r<t;r++){let o=Ue(e);n[o]=ne(e);}return n},e=>{let t=te(e),n=[];for(let r=0;r<t;r++)n.push(ne(e));return n},De];function ne(e){return Er[127-fe(e)](e)}function pe(e,t,n){return new Uint8Array(e,t,n)}var tt=class{constructor(){this.cpos=0,this.cbuf=new Uint8Array(100),this.bufs=[];}};function Re(){return new tt}function nt(e){let t=e.cpos;for(let n=0;n<e.bufs.length;n++)t+=e.bufs[n].length;return t}function Fe(e){let t=new Uint8Array(nt(e)),n=0;for(let r=0;r<e.bufs.length;r++){let o=e.bufs[r];t.set(o,n),n+=o.length;}return t.set(pe(e.cbuf.buffer,0,e.cpos),n),t}function Dr(e,t){let n=e.cbuf.length;n-e.cpos<t&&(e.bufs.push(pe(e.cbuf.buffer,0,e.cpos)),e.cbuf=new Uint8Array(Math.max(n,t)*2),e.cpos=0);}function S(e,t){let n=e.cbuf.length;e.cpos===n&&(e.bufs.push(e.cbuf),e.cbuf=new Uint8Array(n*2),e.cpos=0),e.cbuf[e.cpos++]=t;}var Xt=S;function en(e,t){S(e,t&255),S(e,t>>>8&255);}function tn(e,t){for(let n=0;n<4;n++)S(e,t&255),t>>>=8;}function Z(e,t){for(;t>127;)S(e,128|127&t),t=Math.floor(t/128);S(e,127&t);}function Sr(e){return e!==0?e<0:1/e<0}function rt(e,t){let n=Sr(t);for(n&&(t=-t),S(e,(t>63?128:0)|(n?64:0)|63&t),t=Math.floor(t/64);t>0;)S(e,(t>127?128:0)|127&t),t=Math.floor(t/128);}function Ie(e,t){let n=e.cbuf.length,r=e.cpos,o=Math.min(n-r,t.length),i=t.length-o;e.cbuf.set(t.subarray(0,o),r),e.cpos+=o,i>0&&(e.bufs.push(e.cbuf),e.cbuf=new Uint8Array(Math.max(n*2,i)),e.cbuf.set(t.subarray(o)),e.cpos=i);}function Me(e,t){Z(e,t.byteLength),Ie(e,t);}function Rr(e,t){let n=unescape(encodeURIComponent(t)),r=n.length;Z(e,r);for(let o=0;o<r;o++)S(e,n.codePointAt(o));}function Pe(e,t){return Rr(e,t)}function ot(e,t){Dr(e,t);let n=new DataView(e.cbuf.buffer,e.cpos,t);return e.cpos+=t,n}function it(e,t){return ot(e,4).setFloat32(0,t,!1)}function Fr(e,t){return ot(e,8).setFloat64(0,t,!1)}function Ir(e,t){return ot(e,8).setBigInt64(0,t,!1)}var Se;function Mr(e){return Se==null&&(Se=new DataView(new ArrayBuffer(4))),Se.setFloat32(0,e),Se.getFloat32(0)===e}function oe(e,t){switch(typeof t){case"string":S(e,119),Pe(e,t);break;case"number":Number.isInteger(t)&&Math.abs(t)<=2147483647?(S(e,125),rt(e,t)):Mr(t)?(S(e,124),it(e,t)):(S(e,123),Fr(e,t));break;case"bigint":S(e,122),Ir(e,t);break;case"object":if(t===null)S(e,126);else if(Array.isArray(t)){S(e,117),Z(e,t.length);for(let n=0;n<t.length;n++)oe(e,t[n]);}else if(t instanceof Uint8Array)S(e,116),Me(e,t);else {S(e,118);let n=Object.keys(t);Z(e,n.length);for(let r=0;r<n.length;r++){let o=n[r];Pe(e,o),oe(e,t[o]);}}break;case"boolean":S(e,t?120:121);break;default:S(e,127);}}var nn=class{async encode(t){let n=Re();return oe(n,t),Fe(n)}async decode(t){return ne(Ee(E(t)))}};function Yi(e){let t=Re();return oe(t,e),Fe(t)}function Qi(e){return ne(Ee(E(e)))}function Xi(e){let t=Re();return e!=null&&Ie(t,E(e)),{writeBytes:(n,r)=>{let o=E(n);Ct(!(r!=null&&o.length!==r),`Expected ${r} bytes, got ${o.length}`),Ie(t,o);},writeBytesVar:n=>Me(t,E(n)),writeUintVar:n=>Z(t,n),writeUint8:n=>Xt(t,n),writeUint16:n=>en(t,n),writeUint32:n=>tn(t,n),writeIntVar:n=>rt(t,n),writeFloat:n=>it(t,n),writeStringVar:n=>Pe(t,n),write:n=>oe(t,n),getUint8Array:()=>Fe(t),getLength:()=>nt(t)}}function es(e){let t=Ee(E(e));return {readBytes:n=>Ye(t,n),readBytesVar:()=>De(t),readUintVar:()=>te(t),readUint8:()=>fe(t),readUint16:()=>Zt(t),readUint32:()=>Kt(t),readIntVar:()=>Qe(t),readFloat:()=>et(t),readStringVar:()=>Ue(t),read:()=>ne(t),getOffset:()=>t.pos||0}}function ts(e=0){return {setBit:(t,n=!0)=>n?e|=1<<t:e&=~(1<<t),unsetBit:t=>e&=1<<t,toggleBit:t=>e^=1<<t,getBit:t=>(e&1<<t)!==0,getValue:()=>e}}async function kr(e){return await e.arrayBuffer()}async function ns(e){let t=await kr(e);if(t!=null)return E(t)}function ie(e=16){let t=new Uint8Array(e);if(typeof crypto<"u"&&crypto.getRandomValues)crypto.getRandomValues(t);else for(let n=0;n<e;n++)t[n]=Math.floor(Math.random()*256);return t}var on="SHA-256",st="AES-GCM",rn="PBKDF2",Cr=1e5;async function is(e,t=on){return E(await crypto.subtle.digest(t,E(e)))}async function ss(e,t={}){let n=E(e),r=await crypto.subtle.importKey("raw",n,rn,!1,["deriveKey"]);return await crypto.subtle.deriveKey({name:rn,salt:t.salt?E(t.salt):new Uint8Array(0),iterations:t.iterations??Cr,hash:on},r,{name:st,length:256},!0,["encrypt","decrypt"])}function sn(){return new Uint8Array([1,1])}async function an(e,t){let n=sn(),r=ie(12),o=await crypto.subtle.encrypt({name:st,iv:r},t,e),i=new Uint8Array(o),u=n.length+r.length+i.length,a=new Uint8Array(u),s=0;return a.set(n,s),s+=n.length,a.set(r,s),s+=r.length,a.set(i,s),a}async function un(e,t){let n=e.subarray(0,2);if(!Vt(n,sn()))return Promise.reject(new Error(`Unknown magic ${n}`));let r=e.subarray(2,2+12),o=e.subarray(2+12,e.length),i=await crypto.subtle.decrypt({name:st,iv:r},t,o);return new Uint8Array(i)}function Br(){return crypto.getRandomValues(new Uint32Array(1))[0]/4294967295}function R(){return typeof crypto<"u"?Br():Math.random()}function us(e=.25){return R()<e}function cs(e=100,t=0){return t+Math.floor(R()*(e-t))}function ls(e=100,t=0){return t+R()*(e-t)}function fs(e,t,n){return Math.max(e,Math.min(n,t))}function $r(e){return e.reduce((t,n)=>t+n,0)}function ps(e){return $r(e)/e.length}function ds(e){return !/^1?$|^(11+?)\1+$/.test("1".repeat(e))}function gs(e){for(let t=2;t<e;t++)if(e%t===0)return !1;return e>1}var at=6;function ms(e=0,t=1,n){at=((n??at)*9301+49297)%233280;let r=at/233280;return t+r*(e-t)}function Or(e=""){let[t="",n="asc"]=e.split(" ");return n=n.toLowerCase(),{field:t,orderby:n,asc:n!=="desc",desc:n==="desc"}}function hs(e,t=!0){return `${e} ${t?"asc":"desc"}`}function ut(e,t,n=!0){let r=e||0,o=t||0;return r>o?n?1:-1:r<o?n?-1:1:0}function xs(e,...t){if(t.length>0){let n=t.map(Or),r=Array.from(e);return r.sort((o,i)=>{for(let{field:u,asc:a}of n){let s=ut(o[u],i[u],a);if(s!==0)return s}return 0}),r}return e}function ct(e){return e.filter((t,n)=>e.indexOf(t)===n)}function _r(e,t){return ct(e.filter(n=>!t.includes(n)))}function jr(...e){return ct(e.reduce((t=[],n)=>t.concat(n),[]))}function se(...e){return e.flat(1/0)}function Nr(e,t){return ct(e).filter(n=>t.includes(n))}function Ls(e,t){return _r(jr(e,t),Nr(e,t))}function cn(e,t){if(e&&Array.isArray(e)){let n;for(;(n=e.indexOf(t))!==-1;)e.splice(n,1);return e}return []}function As(e,t){return e.includes(t)||e.push(t),e}function lt(e,t){return e.splice(0,e.length,...e.filter(t)),e}function vs(e,t){let n=e.findIndex(r=>r===t);return n>=0?e.splice(n,1):e.push(t),e}function Us(e){return e.splice(0,e.length),e}function Vr(e,t=ut){return Array.from(e).sort(t)}function Es(e){return Vr(e,(t,n)=>t-n)}function Hr(e,t){return e.length===t.length&&e.every((n,r)=>n===t[r])}function ln(e){return e.sort(()=>R()>.5?1:-1),e}function Ds(e){return ln(Array.from(e))}function Ss(e){for(;e.length>1;){let t=Array.from(e);if(ln(t),!Hr(e,t))return t}return e}function Ps(e){return e[Math.floor(R()*e.length)]}function Rs(...e){return se(e).reduce((t,n)=>t!=null?n>t?n:t:n,void 0)}function Fs(...e){return se(e).reduce((t,n)=>t!=null?n<t?n:t:n,void 0)}function Is(...e){return se(e).reduce((t,n)=>t+n,0)}function Ms(...e){let t=se(e);return t.reduce((n,r)=>n+r,0)/t.length}function ks(e,t){let n=[],r=0,o=e.length;for(;r<o;)n.push(e.slice(r,r+=t));return n}function Cs(e=0,t){if(e<=0)return [];let n=new Array(e);for(let r=0;r<e;r++)n[r]=t instanceof Function?t(r):t;return n}var Gr={2:"01",8:"01234567",11:"0123456789a",16:"0123456789abcdef",32:"0123456789abcdefghjkmnpqrtuvwxyz","32-crockford":"0123456789ABCDEFGHJKMNPQRSTVWXYZ","32-geohash":"0123456789bcdefghjkmnpqrstuvwxyz","32-agnoster":"0123456789abcdefghjkmnpqrtuvwxyz","32-rfc":"ABCDEFGHIJKLMNOPQRSTUVWXYZ234567","32-hex":"0123456789ABCDEFGHIJKLMNOPQRSTUV","32-zbase":"ybndrfg8ejkmcpqxot1uwisza345h769",36:"0123456789abcdefghijklmnopqrstuvwxyz",58:"123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz",62:"0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz",64:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/","64-url":"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_",66:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_.!~",85:"0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz!#$%&()*+-;<=>?@^_`{|}~"};function zr(e){let t=Gr[String(e)];if(!t)if(typeof e=="string")t=e;else throw new Error(`Unknown base ${e}`);if(t.length>=255)throw new TypeError("Alphabet too long");let n=new Uint8Array(256);for(let c=0;c<n.length;c++)n[c]=255;for(let c=0;c<t.length;c++){let p=t.charAt(c),l=p.charCodeAt(0);if(n[l]!==255)throw new TypeError(`${p} is ambiguous`);n[l]=c;}let r=t.length,o=t.charAt(0),i=Math.log(r)/Math.log(256),u=Math.log(256)/Math.log(r);function a(c,p=-1){let l=E(c);if(l.byteLength===0)return "";let f=0,d=0,g=l.byteLength;for(;d!==g&&l[d]===0;)d++;let m=(g-d)*u+1>>>0,b=new Uint8Array(m);for(;d!==g;){let v=l[d],D=0;for(let h=m-1;(v!==0||D<f)&&h!==-1;h--,D++)v+=256*b[h]>>>0,b[h]=v%r>>>0,v=v/r>>>0;if(v!==0)throw new Error("Non-zero carry");f=D,d++;}let y=m-f;for(;y!==m&&b[y]===0;)y++;let T="";for(;y<m;++y)T+=t.charAt(b[y]);return p>0?T.padStart(p,o):T}function s(c,p=-1){if(typeof c!="string")throw new TypeError("Expected String");if(c.length===0)return new Uint8Array;c=c.replace(/\s+/gi,"");let l=0,f=0;for(;c[l]===o;)l++;let d=(c.length-l)*i+1>>>0,g=new Uint8Array(d);for(;c[l];){let b=n[c.charCodeAt(l)];if(b===255)throw new Error(`Unsupported character "${c[l]}"`);let y=0;for(let T=d-1;(b!==0||y<f)&&T!==-1;T--,y++)b+=r*g[T]>>>0,g[T]=b%256>>>0,b=b/256>>>0;if(b!==0)throw new Error("Non-zero carry");f=y,l++;}let m=d-f;for(;m!==d&&g[m]===0;)m++;return p>0?new Uint8Array([...new Uint8Array(p-g.length+m),...g.slice(m)]):g.slice(m)}return {encode:a,decode:s}}var ke;function W(e){ke==null&&(ke=new Map);function t(){let o=ke.get(e);return o==null&&(o=zr(e),ke.set(e,o)),o}function n(o,i=-1){return t().encode(o,i)}function r(o,i=-1){return t().decode(o,i)}return {encode:n,decode:r}}function ft(e,t=-1){return W(32).encode(e,t)}function fn(e,t=-1){return W(32).decode(e.toLocaleLowerCase().replaceAll("l","1").replaceAll("s","5").replaceAll("o","0").replaceAll("i","1"),t)}function Os(e,t=-1){return W(16).encode(e,t)}function _s(e,t=-1){return W(16).decode(e,t)}function js(e,t=-1){return W(58).encode(e,t)}function Ns(e,t=-1){return W(58).decode(e,t)}function pt(e,t=-1){return W(62).encode(e,t)}function pn(e,t=-1){return W(62).decode(e,t)}function Vs(e,t){return Math.ceil(e*(Math.log(256)/Math.log(t)))}var dn=e=>(e.length>0&&(/^[A-Z0-9_\-\ ]*$/g.test(e)&&(e=e.toLowerCase()),e=e.replace(/^[-_\ ]+/gi,"").replace(/[-_\ ]+$/gi,"").replace(/[-_\ ]+([a-z0-9])/gi,(t,n)=>n.toUpperCase()),e=e[0].toLowerCase()+e.substring(1)),e);function qr(e){return e.charAt(0).toUpperCase()+e.toLowerCase().slice(1)}function Gs(e){return e.replace(/\w\S*/g,qr)}function zs(e,t="-"){return t=typeof t>"u"?"_":t,e.replace(/([a-z\d])([A-Z])/g,`$1${t}$2`).replace(/([A-Z]+)([A-Z][a-z\d]+)/g,`$1${t}$2`).toLowerCase()}var gn=["1","true","yes","y","on"];function Js(e,t=!1){return e==null||typeof e!="string"?t:gn.includes(String(e).trim().toLowerCase())}function Zs(e,t=0){return e==null||typeof e!="string"?t:parseInt(e.trim(),10)??t}function Ks(e,t=0){return e==null||typeof e!="string"?t:parseFloat(e.trim())??t}function ae(e,t=!1){return e==null?t:typeof e=="boolean"?e:typeof e=="number"?e!==0:gn.includes(String(e).trim().toLowerCase())}function Wr(e,t=0){return e==null?t:typeof e=="boolean"?e?1:0:typeof e=="number"?Math.floor(e):parseInt(String(e).trim(),10)??t}function Jr(e,t=0){return e==null?t:typeof e=="boolean"?e?1:0:typeof e=="number"?Math.floor(e):parseFloat(String(e).trim())??t}function dt(e,t=""){return e==null?t:String(e)??t}var Ys=Jr,Qs=Wr,Xs=dt,ea=ae;function Zr(e,t={}){let{trace:n=!0,pretty:r=!0}=t;return e.map(o=>{if(o&&typeof o=="object"){if(r&&(o instanceof Uint8Array||o instanceof ArrayBuffer))return `
${Ht(o)}
`;if(o instanceof Error)return n?`${o.name||"Error"}: ${o.message}
${o.stack}`:`${o.name||"Error"}: ${o.message}`;try{return r?JSON.stringify(o,null,2):JSON.stringify(o)}catch{}}return String(o)})}function Ce(e,t={}){return Zr(e,t).join(" ")}function ta(e){try{return decodeURIComponent(escape(e))}catch{}return e}var mn=864e5;function mt(e){return Math.floor(e/1e4)}function yn(e){return Math.floor(e/100%100)}function Kr(e){return Math.floor(e%100)}function ra(e){return [mt(e),yn(e),Kr(e)]}function hn(e,t=!1){return t?new Date(`${Qr(e)}T00:00:00.000Z`):new Date(e/1e4,e/100%100-1,e%100)}function xn(){return $e(new Date)}function oa(e,t=!1){if(typeof e=="number")return e<100?void 0:e;if(typeof e=="string")return bn(e);if(Array.isArray(e)&&e.length===3){let[n,r,o]=e;return yt(n,r,o)}else if(e instanceof Date)return $e(e,t)}function ia(e){return hn(e,!0)}function $e(e,t=!1){return t?bn(e.toISOString()):e.getFullYear()*1e4+(e.getMonth()+1)*100+e.getDate()}function sa(e){return $e(e,!0)}function gt(e,t=!0){return hn(e,t).getTime()}function Yr(e,t=!0){return $e(new Date(e),t)}function Qr(e,t="-"){let n=String(e);return n.slice(0,4)+t+n.slice(4,6)+t+n.slice(6,8)}function yt(e,t=1,n=1){if(!(t<1||t>12||n<1||n>31))return e*1e4+t*100+n}function bn(e){let t=String(e).replace(/[^0-9]/g,"").slice(0,8);if(t.length===8)return +t}function aa(e,t=0){let n=mt(e),r=yn(e);return t!==0&&(r+=t,n+=Math.floor((r-1)/12),r=Math.floor((r-1)%12)+1,r===0&&(r=12)),yt(n,r,1)}function ua(e,t=0){let n=mt(e);return yt(n+t,1,1)}function Be(e,t){return Yr(gt(e)+t*864e5)}function ca(e,t){return Math.round((gt(t)-gt(e))/864e5)}function la(e,t){let n=[];for(t==null&&(t=xn()),e<0&&(e=Be(t,e+1));e<=t;)n.push(e),e=Be(e,1);return n}function*fa(e,t){let n=[];for(t==null&&(t=xn()),e<0&&(e=Be(t,e+1));e<=t;)yield e,e=Be(e,1);return n}function wn(){let e,t;return [new Promise((r,o)=>{e=r,t=o;}),e,t]}async function da(e){return new Promise(t=>setTimeout(t,e))}async function ga(){return new Promise(e=>setTimeout(e,0))}async function ma(e,t,n="timeoutReached"){return new Promise(async(r,o)=>{let i=!1,u=setTimeout(()=>{i=!0,r(n);},t);try{let a=await e;clearTimeout(u),i||r(a);}catch(a){clearTimeout(u),i||o(a);}})}function ya(e){return e==="timeoutReached"||e?.name==="Timeout reached"}async function Tn(e,t){return t<=0?await e:new Promise(async(n,r)=>{let o=!1,i=setTimeout(()=>{o=!0,r(new Error("Timeout reached"));},t);try{let u=await e;clearTimeout(i),o||n(u);}catch(u){clearTimeout(i),o||r(u);}})}function ha(e,t,n=1e3){return new Promise((r,o)=>{let i=s=>{a&&(clearTimeout(a),u(),r(s));},u=()=>{a=null,e.off?e.off(t,i):e.removeEventListener&&e.removeEventListener(t,i);},a=setTimeout(()=>{u(),o(new Error("Did not response in time"));},n);e.on?e.on(t,i):e.addEventListener&&e.addEventListener(t,i);})}function k(e){return !!(e&&(e instanceof Promise||typeof e.then=="function"))}function V(e){return Promise.resolve(e)}var A=class{get value(){return this.days}constructor(t){if(typeof t=="number"){this.days=t;return}if(t!=null&&(t=A.from(t)?.days),t==null){let n=new Date;this.days=n.getFullYear()*1e4+(n.getMonth()+1)*100+n.getDate();}else this.days=t;}static fromNumber(t){return new A(t)}static fromString(t){return A.from(+t.replace(/[^0-9]/g,"").slice(0,8))}static fromDate(t,n=!1){return n?A.fromString(t.toISOString().substr(0,10)):A.from(t.getFullYear()*1e4+(t.getMonth()+1)*100+t.getDate())}static fromDateGMT(t){return A.fromDate(t,!0)}static from(t,n=!1){if(typeof t=="number")return t<100?void 0:new A(t);if(typeof t=="string")return A.fromString(t);if(Array.isArray(t)&&t.length===3){let[r,o=1,i=1]=t;return o<1||o>12||i<1||i>31?void 0:new A(r*1e4+o*100+i)}else {if(t instanceof Date)return A.fromDate(t,n);if(t instanceof A)return t}}toNumber(){return this.days}toJson(){return this.days}toString(t="-"){let n=String(this.days);return n.slice(0,4)+t+n.slice(4,6)+t+n.slice(6,8)}toDate(t=!1){return t?new Date(`${this.toString()}T00:00:00.000Z`):new Date(this.days/1e4,this.days/100%100-1,this.days%100)}toDateGMT(){return this.toDate(!0)}get year(){return Math.floor(this.days/1e4)}get month(){return Math.floor(this.days/100%100)}get day(){return Math.floor(this.days%100)}dayOffset(t){return A.fromDateGMT(new Date(this.toDateGMT().getTime()+t*864e5))}monthStart(){return A.from([this.year,this.month,1])}yearStart(){return A.from([this.year,1,1])}monthOffset(t){let n=this.month+t,r=Math.floor((n-1)%12)+1;r===0&&(r=12);let o=Math.floor((n-1)/12);return A.from([this.year+o,r,this.day])}daysUntil(t){return Math.round((new A(t)?.toDateGMT().getTime()-this.toDateGMT().getTime())/864e5)}yesterday(){return this.dayOffset(-1)}tomorrow(){return this.dayOffset(1)}};async function wa(e,t,n){let r=A.from(e),o=A.from(t);for(;r&&o&&r?.days<=o?.days;){let i=n(r);k(i)&&await i,r=r.dayOffset(1);}}function Ta(){return new A}function La(e){return new A(e)}function Aa(e){return A.fromDate(new Date(e)).days}function Xr(e,t=2){return +(+e).toFixed(t)}function Ua(e,t=2){return +(+e/10**t).toFixed(t)}function Ea(e,t=2){return Math.round(+e*10**t)}function Da(e,t=2){return t*(Xr(e,t)%1)}function H(e){return e!=null&&typeof e=="object"}function ht(e){return Object(e)!==e}function G(e){return Array.isArray(e)}function Oe(e){return H(e)&&!G(e)}function Pa(e){return e?.constructor===Object}function Ln(e){return typeof e=="string"}function An(e){return typeof e=="number"&&!isNaN(e)}function Ra(e){return An(e)&&Number.isInteger(e)}function Fa(e){return An(e)&&Number.isSafeInteger(e)}function vn(e){return typeof e=="boolean"}function Ia(e){return e==null}function Ma(e){return e==null}function ka(e){return H(e)&&e.constructor.name==="Uint8Array"}function Un(e){return e!=null}function Ca(e){return e!=null&&e!==!1&&e!==!0}function eo(e,t,n=new WeakSet){if(e===t)return !0;if(n.has(t)||(ht(t)||n.add(t),!(e instanceof Object)||!(t instanceof Object))||e.constructor!==t.constructor||e.length!==t.length)return !1;for(let r in e){if(!e.hasOwnProperty(r))continue;if(!t.hasOwnProperty(r))return !1;let o=e[r],i=t[r];if(!eo(o,i,n))return !1}for(let r in t)if(t.hasOwnProperty(r)&&!e.hasOwnProperty(r))return !1;return !0}function to(e,t=new WeakSet){if(t.has(e))return "[Circular ~]";if(ht(e)||t.add(e),Oe(e)){for(let n in e)if(e.hasOwnProperty(n)){if(e[n]===void 0){delete e[n];continue}to(e[n],t);}}else if(G(e))for(let n=e.length-1;n>=0;n--)e[n]===void 0&&e.splice(n,1);return e}function _e(e,...t){for(let n of t)H(e)||(e={}),!(n==null||!H(n))&&Object.keys(n).forEach(r=>{let o=e[r],i=n[r];Array.isArray(o)&&Array.isArray(i)?e[r]=o.concat(i):H(o)&&H(i)?e[r]=_e(Object.assign({},o),i):e[r]=i;});return e}function no(e,t,n={cyclesFix:!0},r=[]){let o=[],i=Array.isArray(e);for(let a in e){let s=e[a],c=i?+a:a;if(!(a in t)){o.push({type:"del",path:[c]});continue}let p=t[a],l=typeof s=="object"&&typeof p=="object";if(s&&p&&l&&!["Date","RegExp","String","Number"].includes(Object.getPrototypeOf(s).constructor.name)&&(!n.cyclesFix||!r.includes(s))){let f=no(s,p,n,n.cyclesFix?r.concat([s]):[]);o=[...o,...f.map(d=>(d.path.unshift(c),d))];}else s!==p&&!(l&&(isNaN(s)?`${s}`==`${p}`:+s==+p))&&o.push({path:[c],type:"upd",value:p});}let u=Array.isArray(t);for(let a in t)a in e||o.push({type:"new",path:[u?+a:a],value:t[a]});return o}var En=e=>e.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/'/g,"&apos;").replace(/"/g,"&quot;"),ja=e=>e.replace(/&lt;/gi,"<").replace(/&gt;/gi,">").replace(/&quot;/gi,'"').replace(/&apos;/gi,"'").replace(/&amp;/gi,"&");function Va(e,t,n=[]){return e.filter(r=>!t.some(o=>!o(r))).map(r=>{for(let o of n)r=o(r);return r}).filter(r=>r!=null)}function Ha(e,t){return e.reduce((n,r)=>{let o=String(r[t]);return (n[o]=n[o]||[]).push(r),n},{})}function Ga(e,t){return Array.from(e.reduce((n,r)=>n.add(r[t]),new Set))}function za(e,t){return e.map(n=>n[t])}function Ja(e,t){return H(e)?Object.fromEntries(Object.entries(e).map(([n,r])=>{let o=t(n,r);return G(o)&&o.length===2?o:[n,o]}).filter(n=>n!=null)):{}}function Za(e,t){return t.dispose&&e.dispose&&t.dispose.add(e.dispose),Object.assign(e,t)}function Ka(e){return Object.keys(e).length<=0}var Dn=/[\u0000-\u001F\u0080-\u009F]/g,ro=/^\.+/,oo=/\.+$/;function Sn(){return /[<>:"/\\|?*\u0000-\u001F]/g}function io(){return /^(con|prn|aux|nul|com\d|lpt\d)$/i}function Pn(e,t="_"){if(typeof e!="string")throw new TypeError("Expected a string");if(Sn().test(t)&&Dn.test(t))throw new Error("Replacement string cannot contain reserved filename characters");return e=e.replace(Sn(),t).replace(Dn,t).replace(ro,t).replace(oo,""),e=io().test(e)?e+t:e,e.slice(0,100)}var so=/[\\\-\[\]\/{}()*+?.^$|]/g;function Rn(e){return e?e instanceof RegExp?e.source:e.replace(so,"\\$&"):""}var ge=e=>Math.abs(e)%1===.5,Fn=e=>e%2===0,eu=e=>Math.ceil(e),tu=e=>Math.floor(e),nu=e=>Math.round(e),ru=e=>{let t=Math.round(e);return ge(e)&&Fn(t)?t-1:t},ou=e=>ge(e)?Math.sign(e)*Math.ceil(Math.abs(e)):Math.round(e),iu=e=>ge(e)?Math.floor(e):Math.round(e),su=e=>{let t=Math.round(e);return ge(e)?Fn(t)?t:t-1:t},au=e=>ge(e)?Math.sign(e)*Math.floor(Math.abs(e)):Math.round(e);function In(e){return e.reduce((t,n)=>Math.min(t,n.sort_weight||0),0)-1-R()}function Mn(e){return e.reduce((t,n)=>Math.max(t,n.sort_weight||0),0)+1+R()}function lu(e,t,n){let r=n.length,o=e<t;if(r<=0||e>=r-1)return Mn(n);if(e<=0)return In(n);n=ao([...n]);let i=o?-1:0,u=n[e+i].sort_weight||0,s=(n[e+i+1].sort_weight||0)-u;if(s===0)return o?In(n):Mn(n);let c=u+s/2,p=s*.01*(R()-.5);return c+p}function ao(e){return e.sort((t,n)=>(t.sort_weight||0)-(n.sort_weight||0)),e}function du(e={}){let{getter:t=a=>a.sort}=e;function n(a){return a.sort((s,c)=>(t(s)||0)-(t(c)||0)),a}function r(a){return a.reduce((s,c)=>Math.min(s,t(c)||0),0)-1-R()}function o(a){return a.reduce((s,c)=>Math.max(s,t(c)||0),0)+1+R()}function i(a,s){a==null&&(a=(s??0)-1),s==null&&(s=(a??0)+1);let c=s-a,p=a+c/2,l=c*.01*(R()-.5);return p+l}function u(a,s,c){let p=c.length,l=a<s;if(p<=0||a>=p-1)return o(c);if(a<=0)return r(c);c=n([...c]);let f=l?-1:0,d=t(c[a+f])||0,m=(t(c[a+f+1])||0)-d;if(m===0)return l?r(c):o(c);let b=d+m/2,y=m*.01*(R()-.5);return b+y}return {start:r,end:o,between:i,move:u,items:n}}var uo=/((?:(?:(?:https?|ftp):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z0-9\u00A1-\uFFFF][a-z0-9\u00A1-\uFFFF_-]{0,62})?[a-z0-9\u00A1-\uFFFF]\.)+(?:[a-z\u00A1-\uFFFF]{2,}\.?))(?::\d{2,5})?(?:[/?#]\S*)?)/gim;function yu(e){return e.split(uo).map((t,n)=>{let r=En(t);return n%2?`<a target="_blank" href="${r}">${co(r)}</a>`:r}).join("")}function co(e){return e.replace(/^https?:\/\/(www\.)?/,"").replace(/\/$/,"")}function kn(e){let t=[];for(let[n,r]of Object.entries(e))if(r!=null){Array.isArray(r)||(r=[r]);for(let o of r)o!=null&&t.push(`${encodeURIComponent(n)}=${encodeURIComponent(String(o))}`);}return t.join("&")}function hu(e){let t={},n=(e[0]==="?"?e.substr(1):e).split("&");for(let r=0;r<n.length;r++){let o=n[r].split("="),i=decodeURIComponent(o[0]),u=decodeURIComponent(o[1]||"");t[i]!=null?(Array.isArray(t[i])||(t[i]=[t[i]]),t[i].push(u)):t[i]=u;}return t}function wu(e,t,n){let r=e[t];return r===void 0&&(r=n(t,e),e[t]=r),r}async function Tu(e,t,n){let r=e[t];return r===void 0&&(r=await n(t,e),e[t]=r),r}function Lu(e){return e!=null?e.size!=null?e.size:e.length!=null?e.length:Object.keys(e).length:0}function Au(e){return e!=null&&e.length>0?e[e.length-1]:void 0}function vu(e){try{if(e!=null)return Array.isArray(e)||typeof e=="string"?e.length<=0:e?.size!=null?e.size<=0:Object.keys(e).length<=0}catch(t){console.warn("Failed to check if empty for",e,t);}return !0}function ue(e){return Object(e)!==e?e:JSON.parse(M(e))}function Uu(e){return Object(e)!==e?e:JSON.parse(M(e))}function Eu(e){let t=new Map;return n=>{if(t.has(n))return t.get(n);let r=e(n);return t.set(n,r),r}}function Du(e){let t=new Map;return async(...n)=>{let r=M(n);if(t.has(r))return t.get(r);let o=await e(...n);return t.set(r,o),o}}function Su(e,t){let n=[];for(let r=0;r<e;r++)n.push(t(r,e));return n}var lo=/\\\s|\s+|#[^\n]*\n?/gm,fo=/\(\?P?<(\w[\w\d_]+)>|\((?!\?(:|\!|=|<=|<\!))/gm,Cn=/^((?:\(\?[\w$]+\))?)\(\?<([=!])([\s\S]*?)\)/gm;function po(e){return typeof e=="string"?e:e.source||""}function Ru(e){return e.replace(/[-\[\]{}()*+?.,\\^$|#\s]/g,"\\$&")}var Bn=class{constructor(t,n){this.namedGroups={};this.names=[];let r=n??"",o;if(t instanceof RegExp?(n==null&&(r=t.flags),o=t.source):o=t,r&&r.includes("x")&&(r=r.replace("x",""),o=o.replace(lo,a=>a[0]==="\\"?a:"")),!(t instanceof RegExp)){let a=0;o=o.replace(fo,(s,c)=>(a+=1,c?(c!=="index"&&c!=="length"&&!this.namedGroups[c]&&(this.namedGroups[c]=a),"("):s)),this.names=Object.keys(this.namedGroups);}o=po(o),Cn.lastIndex=0;let u=Cn.exec(o);u&&(this.lookBehind={rx:new RegExp(`${u[3]}$(?!\\s)`),expect:u?u[2]==="=":!u},o=o.substr(u[0].length)),this.rx=new RegExp(o,r);}get lastIndex(){return this.rx.lastIndex}set lastIndex(t){this.rx.lastIndex=t;}_handleMatch(t){if(this.lookBehind){let n=t.input.slice(0,t.index);if(this.lookBehind.expect!==this.lookBehind.rx.test(n))return null}for(let n of this.names)t[n]=t[this.namedGroups[n]];return t}exec(t){let n;for(;n=this.rx.exec(t);)if(this.rx.lastIndex===n.index&&this.rx.lastIndex++,n=this._handleMatch(n),n!=null)return n}execAll(t){let n=[],r;for(this.rx.lastIndex=0;r=this.exec(t);)n.push(r);return this.rx.lastIndex=0,n}replace(t,n){let r=typeof n=="function"?n:()=>n;return t.replace(this.rx,o=>r(o))}};var go=",";function Mu(e,t={}){let{separator:n=go}=t,r="";for(let o=0;o<e.length;o++)r+=`${e[o].map(i=>{if(i==null||i==="")return "";if(vn(i))return i?1:0;let u=String(i);return (Oe(i)||G(i))&&(u=M(i)),u.includes('"')||u.includes(`
`)||u.includes(n)?`"${u.replace(/"/g,'""')}"`:u}).join(n)}
`;return r}function mo(e,t={}){let n=/("((?:(?:[^"]*?)(?:"")?)*)"|([^,;\t\n]*))([,;\t]|\n|\r\n)/g;t.separator&&(n=new RegExp(n.source.replaceAll(",;\\t",Rn(t.separator)),n.flags));let r=[],o=[],i,u=`${e.replaceAll(`\r
`,`
`).trim()}
`;for(;i=n.exec(u);){let a=i[2]??i[3]??"";a=a.replaceAll('""','"'),o.push(a),i[4]===`
`&&(r.push(o),o=[]);}return r}function ku(e,t={}){let n=mo(e,t),r=n[0];return n.slice(1).map(o=>Object.fromEntries(o.map((i,u)=>[r[u],i])))}async function yo(e){typeof e=="function"?await V(e()):k(e)?await e:typeof e.dispose=="function"?await V(e.dispose()):k(e.dispose)?await e.dispose:typeof e.cleanup=="function"?await V(e.cleanup()):k(e.cleanup)&&await e.cleanup;}function me(e){let t=e;t!=null&&(Ln(t)?t={name:t}:"debug"in t&&"label"in t&&(t={name:t.label,log:t}));let n=t?.name,r=t?.log??I("zeed:dispose"),o=[],i=async s=>{s!=null&&o.includes(s)&&(lt(o,c=>c!==s),await yo(s));},u=async()=>{for(n&&r.debug(`dispose "${n}": ${o.length} entries`);o.length>0;)await i(o[0]);},a=s=>{if(s!=null)return o.unshift(s),()=>i(s)};return Object.assign(u,{track:a,add:a,untrack:i,dispose:u,exec:u,getSize(){return o.length},isDisposed(){return o.length<=0}})}var ju=me;function Nu(e={}){let{mode:t="fifo"}=e,n=[],r=async(i=!1)=>{for(;n.length>0;){let u=n[0];if(lt(n,a=>a!==u),typeof u=="function"){let a=u();if(k(a)){if(i)throw new Error(`Expected sync only function, but found async: ${u}`);await a;}}else if(k(u)){if(i)throw new Error(`Expected sync only function, but found async: ${u}`);await u;}else throw new Error(`Unhandled disposable: ${u}`)}};return Object.assign(r,{add:i=>{t==="lifo"?n.unshift(i):n.push(i);},exec:r,getSize(){return n.length}})}function Vu(e,t=0){let n=setTimeout(e,t);return ()=>{n&&(clearTimeout(n),n=void 0);}}function Hu(e,t){let n=setInterval(e,t);return ()=>{n&&(clearInterval(n),n=void 0);}}function Gu(e,t,n,...r){return e==null?()=>{}:(e.on?e.on(t,n,...r):e.addEventListener&&e.addEventListener(t,n,...r),()=>{e.off?e.off(t,n,...r):e.removeEventListener&&e.removeEventListener(t,n,...r);})}function Wu(){let e=!0;return (t,n)=>{let r=!1;if(e){e=!1;try{t(),r=!0;}finally{e=!0;}}else n!==void 0&&n();return r}}function Ju(){let e=!0;return async(t,n)=>{let r=!1;if(e){e=!1;try{let o=t();k(o)&&await o,r=!0;}finally{e=!0;}}else if(n!==void 0){let o=n();k(o)&&await o;}return r}}var C=class{constructor(){this.subscribers={};this.subscribersOnAny=[];this._logEmitter=I("zeed:emitter","error");this.dispose=me();this.call=new Proxy({},{get:(t,n)=>async(...r)=>await this.emit(n,...r)});}async emit(t,...n){let r=!1;try{let o=this.subscribers[t]||[];if(this._logEmitter.debug("emit",this?.constructor?.name,t,...n,o),this.subscribersOnAny.forEach(i=>i(t,...n)),o.length>0){let i=o.map(u=>{try{return V(u(...n))}catch(a){this._logEmitter.warn("emit warning:",a);}return null}).filter(u=>u!=null);r=!0,await Promise.all(i);}}catch(o){this._logEmitter.error("emit exception",o);}return r}onAny(t){this.subscribersOnAny.push(t);}on(t,n){let r=this.subscribers[t]||[];return r.push(n),this.subscribers[t]=r,()=>{this.off(t,n);}}onCall(t){for(let[n,r]of Object.entries(t))this.on(n,r);}once(t,n){let r=async(...o)=>(this.off(t,r),await V(n(...o)));return this.on(t,r),()=>{this.off(t,n);}}off(t,n){return this.subscribers[t]=(this.subscribers[t]||[]).filter(r=>n&&r!==n),this}removeAllListeners(){return this.subscribers={},this}};function tc(){let e=Q().emitter;return e||(e=new C,Q().emitter=e),e}function nc(e,t){let n=Math.round(R()*100),r=[],o,i=(a,s)=>{let c={key:a,obj:s};r.push(c),o&&o();};return t?e.on?e.on(t,a=>{i(t,a);}):e.addEventListener?e.addEventListener(t,a=>{i(t,a);}):e.log.error(n,"Cannot listen to key"):e.onAny?e.onAny((a,s)=>{i(a,s);}):e.log.error(n,"cannot listen to all for",e),(a,s=!0)=>new Promise((c,p)=>{a||(a=t,a||r.length&&(a=r[0].key)),o=()=>{for(;r.length>0;){let l=r.shift();if(l.key===a)o=void 0,c(l.obj);else {if(s)continue;p(new Error(`Expected ${a}, but found ${l.key} with value=${l.obj}`));}break}},o();})}var ye=()=>Date.now();function $n(e){return e>999?`${(e/1e3).toFixed(1)}s`:`${e.toFixed(2)}ms`}function oc(...e){for(let t of e){if(t instanceof Date)return t;if(typeof t=="string"){let n=null;if(t.includes(":"))try{n=new Date(t);}catch{}if(!(n instanceof Date)){let r=/(\d\d\d\d)-(\d\d)-(\d\d)/.exec(t);r&&(n=new Date(+r[1],+r[2]-1,+r[3],12,0));}if(n instanceof Date)return n}}}var je=16;function bt(){return ie(je)}function ho(e=bt()){return pt(e,22)}function xo(e){return pt(e,22)}function bo(e){return pn(e,je)}function wo(e=bt()){return ft(e,26)}function To(e){return ft(e,26)}function Lo(e){return fn(e,je)}var Ao="10000000-1000-4000-8000-100000000000",vo=function(){return typeof crypto<"u"&&crypto.randomUUID!=null?crypto.randomUUID():Ao.replace(/[018]/g,e=>(e^ie(1)[0]&15>>e/4).toString(16))};function Uo(e){let t=_t(e);return `${t.slice(0,8)}-${t.slice(8,12)}-${t.slice(12,16)}-${t.slice(16)}`}function Eo(e){return jt(e.replaceAll("-",""))}var On=16e11;function Do(e){let t=new Uint8Array([0,0,0,0,0,0]),n=t.length-1;for(let r=0;r<t.length;r++){let o=e&255;t[n-r]=o,e=(e-o)/256;}return t}function _n(){let e=ye()-On;return new Uint8Array([...Do(e),...ie(10)])}function lc(){return Po(_n())}function fc(e){return So(Nn(e))}function So(e){return new Date(On+e.slice(0,6).reduce((t,n)=>t*256+n,0))}function pc(){return new Uint32Array(ie(4))[0]}var wt={base62:{uuid:ho,uuidDecode:bo,uuidEncode:xo},base32:{uuid:wo,uuidDecode:Lo,uuidEncode:To},uuidv4:{uuid:vo,uuidDecode:Eo,uuidEncode:Uo}},Ne="base62",jn=!1;function dc(e,t=!1){Ne=e,jn=t;}function K(){return wt[Ne].uuid(jn?_n():bt())}function Nn(e){return wt[Ne].uuidDecode(e)}function Po(e){return wt[Ne].uuidEncode(e)}function gc(e){try{return Nn(e).length===je}catch{}return !1}var xt={};function _(e="id"){return xt[e]==null&&(xt[e]=0),`${e}-${xt[e]++}`}var Ro=0;function mc(){return `id-${Ro++}`}var Tt=class extends C{constructor(){super(...arguments);this.id=K();}close(){this.dispose();}},Ve=class extends Tt{constructor(){super(...arguments);this.isConnected=!0;}postMessage(n){this.other?.emit("message",{data:n,origin:"local",lastEventId:K()});}};function bc(){let e=new Ve,t=new Ve;return e.other=t,t.other=e,[e,t]}var Vn=class{async encode(t){return t}async decode(t){return t}},ce=class{async encode(t){return Je(t)}async decode(t){return Ze(t)}},Hn=class{constructor(t){this.key=t;}async encode(t){let n=Je(t);return await an(n,this.key)}async decode(t){let n=await un(t,this.key);return Ze(n)}};var Gn=(e,t,n={})=>new Proxy(n,{get:(r,o)=>o in r?r[o]:(...i)=>e(o,i,t)});function Pc(e={}){let{name:t=_("hub"),encoder:n=new ce,retryAfter:r=1e3,ignoreUnhandled:o=!0,logLevel:i=!1}=e,u=I(t,i),a={},s,c=[],p,l={},f=()=>{clearTimeout(p);},d=async()=>{if(clearTimeout(p),s){if(s.isConnected)for(;c.length;){let y=c[0];try{s.postMessage(await n.encode(y)),c.shift();}catch(T){u.warn("postMessage",T);break}}c.length>0&&r>0&&(p=setTimeout(d,r));}},g=async y=>{u("enqueue postMessage",y),c.push(y),await d();},m=async y=>{s=y,s.on("connect",d),s.on("message",async T=>{u("onmessage",typeof T);let{name:v,args:D,id:h,result:x,error:L}=await n.decode(T.data);if(v){u(`name ${v} id ${h}`);try{if(a[v]==null)throw new Error(`handler for ${v} was not found`);let U=a[v](...D);k(U)&&(U=await U),u(`result ${U}`),h&&await g({id:h,result:U});}catch(U){let w=U instanceof Error?U:new Error(dt(U));u.warn("execution error",w.name),await g({id:h,error:{message:w.message,stack:w.stack,name:w.name}});}}else if(h)if(u(`response for id=${h}: result=${x}, error=${L}`),l[h]==null)x===void 0?u(`skip response for ${h}`):u.warn(`no response hook for ${h}`);else {let[U,w]=l[h];if(U&&w)if(delete l[h],L){let P=new Error(L.message);P.stack=L.stack,P.name=L.name,u.warn("reject",P.name),w(P);}else u("resolve",x),U(x);}else o||u.warn("Unhandled message",T);}),await d();},b=async(y,T,v={})=>{let{timeout:D=5e3}=v,h=K();return await g({name:y,args:T,id:h}),Tn(new Promise((x,L)=>l[h]=[x,L]),D)};return e.channel&&m(e.channel),{dispose:f,connect:m,listen(y){Object.assign(a,y);},send(){return Gn(b,{},{options(y){return Gn(b,{...y})}})}}}var Lt=class extends C{constructor(n){super();this.publish=this.emit.bind(this);this.subscribe=this.on.bind(this);let{name:r,encoder:o=new ce,channel:i,debug:u=!1}=n;this.channel=i,this.encoder=o,this.debug=u,this.name=r??this.channel.id??_("pubsub"),this.log=I(`${this.shortId}`),this.debug&&(this.channel.on("connect",()=>{this.log("channel connected");}),this.channel.on("disconnect",()=>{this.log("channel disconnected");})),this.channel.on("message",async({data:a})=>{let s=await this.encoder.decode(a);if(this.debug?this.log(`channel message, event=${s?.event}, info=`,s):this.log(`channel message, event=${s?.event}`),s){let{event:c,args:p}=s;await this.emitSuper(c,...p);}});}get shortId(){return this.name.substr(0,6)}async emitSuper(n,...r){return await super.emit(n,...r)}async emit(n,...r){try{if(this.debug?this.log(`emit(${String(n)})`,n):this.log(`emit(${String(n)})`,r.length),!this.channel.isConnected)return this.log.warn("channel not connected"),!1;let o=await this.encoder.encode({event:n,args:r});return this.channel.postMessage(o),!0}catch(o){this.log.warn(`emit(${String(n)})`,o);}return !1}};function Cc(e){return new Lt(e)}var Fo=1;var zn=e=>e,Io=zn;function $c(e,t){let{post:n,on:r,eventNames:o=[],serialize:i=zn,deserialize:u=Io}=t,a=new Map;return r(async s=>{let c=u(s),[p,l,f,d]=c;if(p===1||p===2){let g,m;if(d!=null)try{let b=e[d];g=await b(...l);}catch(b){m=String(b);}else m="Method implementation missing";p===1&&f&&n(i(m?[4,m,f]:[3,g,f]));}else if(f){let g=a.get(f);g!=null&&(p===4?g.reject(l):g.resolve(l)),a.delete(f);}}),new Proxy({},{get(s,c){let p=(...f)=>{n(i([2,f,null,c]));};if(t.onlyEvents||o.includes(c))return p.asEvent=p,p;let l=(...f)=>new Promise((d,g)=>{let m=Fo++;a.set(m,{resolve:d,reject:g}),n(i([1,f,m,c]));});return l.asEvent=p,l}})}var Y=class extends C{constructor(n={}){super();this._isCancelled=!1;this._resetWhenFinished=!0;this._children=[];this._totalUnits=n.totalUnits??0,this._completedUnits=n.completeUnits??0,this._resetWhenFinished=n.resetWhenFinished??!0,this.name=n.name??_("progress"),this.dispose.add(async()=>{for(let r of this._children)await r.dispose();await this.emit("progressDispose",this);});}update(){this.emit("progressChanged",this),this._isCancelled&&this._resetWhenFinished&&this.getTotalUnits()<=this.getCompletedUnits()&&this.reset();}reset(){if(this._isCancelled){this._isCancelled=!1;for(let n of this._children)n.reset();this.update();}}async cancel(){if(!this._isCancelled){this._isCancelled=!0,await this.emit("progressCancelled",this);for(let n of this._children)await n.cancel();this.update();}}addChild(n){n.on("progressDispose",()=>this.removeChild(n)),n.on("progressChanged",()=>this.update()),this._children.includes(n)||this._children.push(n),this.update();}createChildProgress(n){let r=new Y(n);return this.addChild(r),r}removeChild(n){cn(this._children,n),this.update();}getTotalUnits(){if(this.isIndeterminate())return 0;let n=this._totalUnits;for(let r of this._children)n+=r.getTotalUnits();return n}getCompletedUnits(){if(this.isIndeterminate())return 0;let n=this._completedUnits;for(let r of this._children)n+=r.getCompletedUnits();return n}isIndeterminate(){return this._totalUnits<=0&&this._children.length<=0}isCancelled(){return this._isCancelled}isFinished(){return this.dispose.isDisposed()||!this.isIndeterminate()&&this.getTotalUnits()<=this.getCompletedUnits()}getFraction(){if(this.isIndeterminate())return 0;let n=this.getCompletedUnits()/this.getTotalUnits();return isNaN(n)&&(n=0),Math.min(1,Math.max(0,n))}getChildrenCount(){return this._children.length}setTotalUnits(n,r){this._totalUnits=n,r!=null&&(this._completedUnits=r),this.update();}incTotalUnits(n=1){this._totalUnits+=n,this.update();}setCompletetedUnits(n){this._completedUnits=n,this.update();}setCompleted(){this._completedUnits=this._totalUnits,this.update();}incCompletedUnits(n=1){this._completedUnits+=n,this.update();}toString(n=0){let r=`${"  ".repeat(n)}${this.name}: ${this._completedUnits} of ${this._totalUnits} units, ${Math.floor(this.getFraction()*100)} %, cancel=${this._isCancelled}
`;for(let o of this._children)r+=o.toString(n+1);return n===0?r.trim():r}};function Jc(e={}){let{maxParallel:t=3,name:n=_("pool"),idConflictResolution:r="memoize"}=e,o=new C,i=me();i.add(T);let u=new Y({name:n});u.on("progressCancelled",T);let a=0,s=0,c=0,p=0,l={};async function f(){if(a>0){let[h,x]=wn();return o.once("didFinish",x),h}}async function d(){for(let h of Object.keys(l))l[h].state==="finished"&&(await l[h].progress.dispose(),delete l[h]);}function g(){o.emit("didFinish"),a=0,s=0,d(),u.reset();}function m(){let h=0,x=0;for(let{max:L,resolved:U,state:w}of Object.values(l))h+=L,x+=w==="finished"?L:Math.min(L,U);o.emit("didUpdate",a,s,h,x);}function b(){if(m(),a>0&&a===s&&g(),c>=t)return;let h=Object.values(l).filter(x=>x.state==="waiting");if(h.length>0){let x;for(let L of h)L.group!=null&&Object.values(l).some(U=>U.state==="running"&&U.id!==L.id&&U.group===L.group)||(x==null||L.priority<x.priority)&&(x=L);if(x!=null){let L=x.id,U=x.done;x.state="running",++c,o.emit("didStart",L);let w=P=>{x&&(x.result=P,x.state="finished",x.resolved=x.max,x.progress?.setCompleted()),--c,++s,b();};x.task(x).then(P=>{U(P),o.emit("didResolve",L,P),w(P);}).catch(P=>{U(),o.emit("didReject",L,P),w();});}}}function y(h){let x=l[h];x&&x.state==="waiting"&&(l[h].state="finished",++s,o.emit("didCancel",h),l[h].progress.dispose(),m());}function T(){Object.keys(l).forEach(y);}function v(h){return l[h]!=null}function D(h,x={}){let L,U=new Promise(F=>L=F),w=x.id??K();if(l[w]!=null){let F=x.idConflictResolution??r;if(F==="replace")y(w);else if(F==="memoize"||F==="prioritize"){let Ft=l[w];return F==="prioritize"&&(Ft.priority=++p),{id:w,promise:(async()=>{if(Ft.state==="finished")return l[w].result})(),dispose:()=>y(w),cancel:()=>y(w)}}else throw new Error(`Pool task with id=${w} already exists!`)}let P=new Y({name:w,totalUnits:x.max??1,completeUnits:x.resolved??0});return u.addChild(P),l[w]={id:w,task:h,priority:++p,group:x.group,state:"waiting",max:x.max??1,resolved:x.resolved??0,done:L,payload:x.payload,progress:P,setMax(F){P.setTotalUnits(F),l[w].max=F,m();},setResolved(F){P.setCompletetedUnits(F),l[w].resolved=F,m();},incResolved(F=1){P.incCompletedUnits(F),l[w].resolved+=F,m();}},++a,b(),{id:w,promise:U,dispose:()=>y(w),cancel:()=>y(w)}}return {events:o,cancel:y,cancelAll:T,hasById:v,progress:u,enqueue:D,dispose:i,waitFinishAll:f}}var qn=class extends C{constructor(n={}){super();this.queue=[];this.waitToFinish=[];this.countMax=0;this.countResolved=0;this.paused=!1;let{name:r=_("queue"),logLevel:o}=n;this.name=r,this.log=I(`zeed:queue:${r}`,o??X);}async performNext(){if(this.log("performNext, queue.length =",this.queue.length),this.currentTask!=null){this.log("performNext => skip while another task is running");return}if(this.paused){this.log("performNext => skip while is paused");return}for(;this.currentTask==null&&!this.paused;){let n=this.queue.shift();if(this.log(`performNext => ${n?.name}`),n==null)break;this.countResolved===0&&this.emit("didStart",this.countMax);let{name:r,task:o,resolve:i}=n;this.currentTask=o();let u;try{this.log.info(`start task ${r}`),u=await this.currentTask,this.log(`finished task ${r} with result =`,u);}catch(a){this.log.warn("Error performing task",a);}i(u),this.currentTask=void 0,this.countResolved+=1,this.emit("didUpdate",this.countMax,this.countResolved);}for(this.queue.length===0&&(this.emit("didFinish"),this.countMax=0,this.countResolved=0);this.waitToFinish.length>0;)this.waitToFinish.shift()();}async enqueue(n,r={}){let{immediate:o=!1,name:i=_(this.name)}=r;return o?(this.log.info(`immediate execution ${i}`),await n()):(this.log(`enqueue ${i}`),new Promise(u=>{this.queue.push({name:i,task:n,resolve:u}),this.countMax+=1,this.emit("didUpdate",this.countMax,this.countResolved),this.performNext();}))}async enqueueReentrant(n,r={}){return this.enqueue(n,{immediate:this.currentTask!=null,name:r.name})}async cancelAll(n=!0){this.log("cancelAll"),this.emit("didCancel");let r=this.queue.map(o=>o.resolve);this.queue=[],r.forEach(o=>o(void 0)),await this.wait();}async pause(){this.log("pause"),this.paused=!0,await this.wait();}resume(){this.log("resume"),this.paused=!1,this.performNext();}async wait(){if(this.log("wait"),!(this.currentTask==null&&(this.queue.length===0||this.paused)))return new Promise(n=>{this.waitToFinish.push(n);})}get isPaused(){return this.paused}get hasTasks(){return this.queue.length!==0}};function nl(e,t={}){let {delay:n=100,trailing:r=!0,leading:o=!0}=t,i=0,u=0,a=0,s;function p(){return i?(clearTimeout(i),i=void 0,!0):!1}function l(...f){let d=Date.now(),g=d-u,m=()=>{a=0,u=Date.now(),e.apply(this,f);};if(s=m,g>n||!i){o&&(g>n?m():++a);let b=g>n?n:n-g;p(),u=d,i=setTimeout(()=>{i=0,r&&(!o||a>0)&&s?.();},b);}else ++a;}return l.cancel=p,l.stop=()=>{p()&&s&&s();},l.immediate=async function(...d){p(),u=Date.now(),e.apply(this,d);},l.dispose=()=>l.stop(),l}function rl(e,t={}){let{delay:n=100}=t,r=0,o=!1,i;function u(){r&&(clearTimeout(r),r=0);}async function a(){try{if(u(),i!=null){let p=[...i];i=void 0,o=!0,await V(e(...p)),o=!1,i!=null&&(u(),r=setTimeout(a,n));}}catch{}}function s(...p){i=[...p],u(),o===!1&&(r=setTimeout(a,n));}async function c(...p){u(),i=[...p],await a();}return s.cancel=u,s.dispose=u,s.immediate=c,s}function il(e=globalThis?.location?.hostname??""){return ["::ffff:127.0.0.1","localhost","127.0.0.1","","::1","::"].includes(e)||e.startsWith("192.168.")||e.startsWith("10.0.")||e.endsWith(".local")}function ul(e){let{level:t=void 0,filter:n=void 0,messages:r=[]}=e,o=j(n),i=z(t);return u=>{i(u.level)&&o(u.name)&&r.push(u);}}var At={cache:"no-cache",redirect:"follow",headers:{}};function Mo(e){let t=/:\/\/([^@]*)@/gi.exec(e);if(t&&t[1]){let[n,r]=t[1].split(":",2);return {url:e.replace(`${t[1]}@`,""),username:n,password:r}}}async function Wn(e,t={},n=fetch){try{G(t)&&(t=_e({},...se(t)));let r=Mo(String(e));r&&(e=r.url,t=_e({},t,ko(r.username,r.password))),t.headers!=null&&!(t.headers instanceof Headers)&&(t.headers=new Headers(t.headers));let o=await n(String(e),t);if(o.status<400)return o;let i=I("zeed:network");try{i.warn(`Fetch of ${String(e)} returned status=${o.status}. Options:`,t),i.warn(`Response: ${await o.text()}`);}catch(u){i.error("Exception:",u);}}catch(r){I("zeed:network").error("fetchBasic",r);}}async function dl(e,t={},n=fetch){try{let r=await Wn(e,[{method:"GET",headers:{Accept:"application/json"}},t],n);if(r)return await r.json()}catch(r){I("zeed:network").error("fetchJSON error:",r);}}async function gl(e,t={},n=fetch){try{let r=await Wn(e,[At,{method:"GET"},t],n);if(r)return await r.text()}catch(r){I("zeed:network").error("fetchHTML error:",r);}}function ml(e,t="POST"){return {method:t,...At,headers:{"Content-Type":"application/x-www-form-urlencoded; charset=utf-8"},body:kn(e)}}function yl(e,t="POST"){return {method:t,...At,headers:{"Content-Type":"application/json; charset=utf-8"},body:M(e)}}function ko(e,t){return {headers:{Authorization:`Basic ${Nt(`${e}:${t}`)}`}}}function Jn(){if(typeof window<"u")return window}function Co(){if(typeof navigator<"u")return navigator}function xl(){return Jn()??typeof WorkerGlobalScope<"u"?self:typeof global<"u"?global:Function("return this;")()}function bl(e={ios:!1,macos:!1,windows:!1,beaker:!1,electron:!1,wkwebview:!1,pwa:!1,pwaInstalled:!1,browser:!1,node:!1,worker:!1,test:!1,jest:!1,macosNative:!1,iosNative:!1,appleNative:!1,touch:!1}){let t=Co(),n=Jn();return e.ios=t?.platform?.match(/(iPhone|iPod|iPad)/i)!=null,e.macos=!!t?.platform?.startsWith("Mac"),e.windows=!!t?.platform?.startsWith("Win"),e.beaker=n?.beaker!=null,e.electron=(t?.userAgent?.toLowerCase()?.indexOf(" electron/")||-1)>-1&&!e.beaker,e.wkwebview=n?.webkit?.messageHandlers!=null,e.pwa=t?.serviceWorker!=null,e.pwaInstalled=t?.standalone||n?.matchMedia?.("(display-mode: standalone)")?.matches,e.node=typeof process<"u"&&process?.release?.name==="node",e.browser=!e.electron&&!e.wkwebview&&!e.node,e.worker=typeof WorkerGlobalScope<"u"&&self instanceof WorkerGlobalScope,e.jest=typeof jest<"u"||typeof vitest<"u",e.test=e.jest,e.macosNative=e.wkwebview&&e.macos,e.iosNative=e.wkwebview&&e.ios,e.appleNative=e.wkwebview,e.touch=n&&"ontouchstart"in n||(t?.maxTouchPoints||0)>1||t?.msPointerEnabled&&n?.MSGesture||n?.DocumentTouch&&document instanceof DocumentTouch,e}function Bo(){return typeof window<"u"&&globalThis===window}function wl(e){Bo()?window.addEventListener("beforeunload",e):typeof process<"u"&&process.on("exit",()=>e);}var Zn=class{constructor(t={}){this.store={};}setItem(t,n){this.store[t]=ue(n);}getItem(t){return ue(this.store[t])}removeItem(t){delete this.store[t];}clear(){this.store={};}allKeys(){return Object.keys(this.store)}};var vl=()=>{};function Dl(e={}){let{args:t=process.argv.slice(1),alias:n={},normalize:r=dn,booleanArgs:o=[],listArgs:i=[],numberArgs:u=[]}=e,a=Object.entries(n).reduce((f,d)=>{let[g,m]=d;typeof m=="string"&&(m=[m]);for(let b of m)f[r(b)]=r(g);return f},{}),s={_:[]};function c(f,d){s[f]==null||typeof s[f]=="boolean"?s[f]=d:Array.isArray(s[f])?s[f].push(d):s[f]=[s[f],d];}let p=[...t],l;for(;l=p.shift();){let f;if(/^--?/.test(l)){let d=l.replace(/^--?/,"");if(l.includes("=")){let[g,m]=d.split("=",2);d=g.trim(),f=m.trim();}d=r(d),d=a[d]??d,o.includes(d)?c(d,!0):(f=f??p.shift()??"",u.includes(d)&&(f=Number(f??0)),i.includes(d)?Array.isArray(s[d])?s[d].push(f):s[d]=[f]:c(d,f));}else s._.push(l);}return s}function Pl(e){return new Promise((t,n)=>{import('child_process').then(({spawn:r})=>{let o=r("pbcopy");o.on("error",i=>n(i)),o.on("close",()=>t(e)),o.stdin.write(e),o.stdin.end();}).catch(()=>{});})}function Il(){try{typeof globalThis<"u"&&typeof globalThis.crypto>"u"&&vt__default.default&&vt__default.default.webcrypto&&(globalThis.crypto=vt__default.default.webcrypto);}catch(e){console.warn("Failed to polyfill webcrypto",e);}}async function Ml(){if(globalThis.crypto==null)try{if(typeof globalThis<"u"&&typeof globalThis.crypto>"u"){let e=await import('crypto');globalThis.crypto=e.webcrypto;}}catch(e){console.warn("Failed to polyfill webcrypto",e);}return globalThis.crypto}var Oo=`
`,_o=/^\s*([\w_.-]+)\s*=\s*(.*)?\s*$/,jo=/\\n/g,No=/\n|\r|\r\n/;function Kn(e,t={}){let n={};return String(e).split(No).forEach((r,o)=>{let i=r.match(_o);if(i!=null){let u=i[1],a=i[2]||"",s=a.length-1,c=a[0]==='"'&&a[s]==='"';a[0]==="'"&&a[s]==="'"||c?(a=a.substring(1,s),c&&(a=a.replace(jo,Oo))):a=a.trim(),n[u]=a;}}),n}function Vo(e,t="."){return path.resolve(process.cwd(),e??t)}function Ho(e,t=""){return e==null&&(e=t),Vo(String(e).trim(),t)}var Ut=Ho;function $l(e,t=process.env){if(t[e]!=null)return t[e];e=e.toLowerCase();for(let[n,r]of Object.entries(t))if(n.toLowerCase()===e)return r}function Ol(e={}){let t=e?.path??Ut(e?.filename??".env"),n=e?.encoding??"utf8",r=e?.debug||!1;try{let o=He__default.default.existsSync(t)?Kn(He__default.default.readFileSync(t,{encoding:n}),{debug:r}):{},i=He__default.default.existsSync(`${t}.local`)?Kn(He__default.default.readFileSync(`${t}.local`,{encoding:n}),{debug:r}):{},u=Object.assign({},o,i),a=e?.env??process.env;return Object.entries(u).forEach(([s,c])=>{typeof e?.prefix=="string"&&(s=e?.prefix+s),Object.prototype.hasOwnProperty.call(a,s)||c!=null&&(a[s]=c);}),{parsed:u}}catch(o){return {error:o}}}var Xn=class{constructor(t={}){this.store={};this.fileKeys=void 0;this.pretty=!1;this.dirname=path.resolve(process.cwd(),t.path??".fileStorage"),this.pretty=!!t.pretty,this.extension=t.extension??".json",t.extension&&!this.extension.startsWith(".")&&(this.extension=`.${this.extension}`),this.extensionLength=this.extension.length,this.objectToString=t.objectToString??(n=>this.pretty?M(n,null,2):M(n)),this.objectFromString=t.objectFromString??(n=>{try{return JSON.parse(n)}catch{}}),this.keyToFilename=t.keyToFilename??Pn;}setItem(t,n){this.store[t]=ue(n);try{let r=this.objectToString(n),o=this.getPath(t);He.mkdirSync(path.dirname(o),{recursive:!0}),He.writeFileSync(o,r,"utf8");}catch{}}getPath(t){return path.resolve(this.dirname,this.keyToFilename(t)+this.extension)}getBuffer(t){let n=this.getPath(t);return Buffer.from(He.readFileSync(n))}getItem(t){let n=this.store[t];if(n!==null){if(n!=null)return ue(n);try{let r=this.getPath(t),o=He.readFileSync(r,"utf8");if(o!=null){let i=this.objectFromString(o);return this.store[t]=i,i}}catch{this.store[t]=null;}}}removeItem(t){if(delete this.store[t],this.fileKeys!=null){let n=this.fileKeys.indexOf(t);n!==-1&&this.fileKeys.splice(n,1);}try{let n=this.getPath(t);He.unlinkSync(n);}catch{}}clear(){this.fileKeys=[],this.store={},He.rmSync(this.dirname,{recursive:!0,force:!0});}allKeys(){if(this.fileKeys==null)try{this.fileKeys=He.readdirSync(this.dirname,{withFileTypes:!0}).filter(n=>!n.isDirectory()&&n.name.endsWith(this.extension)).map(n=>n.name.slice(0,-this.extensionLength))||[];}catch{}let t=[...this.fileKeys||[]];for(let n of Object.keys(this.store))t.includes(n)||t.push(n);return t.sort(),t}};function Jl(e){let t=path.normalize(e),n=process.env.HOME;return n&&t.startsWith(n)?`~${t.slice(n.length)}`:t}async function Dt(e){try{await promises.stat(e);}catch{return !1}return !0}async function Zl(...e){let t=path.join(...e);return await Dt(t)||await promises.mkdir(t,{recursive:!0}),t}async function Kl(...e){let t=path.join(...e);return await Dt(t)&&await promises.rm(t,{recursive:!0}),t}async function Yl(...e){let t=path.join(...e);if(await Dt(t))return await promises.readFile(t,"utf-8")}async function Ql(e,t){await promises.writeFile(e,t,"utf-8");}var er={};function tr(e,t={}){let{level:n=void 0,filter:r=void 0,time:o=!0,pretty:i=!1}=t;e=path.resolve(process.cwd(),e),He.mkdirSync(path.dirname(e),{recursive:!0});let u=He.createWriteStream(e,{flags:"a"}),a=j(r),s=z(n);return c=>{if(!s(c.level)||!a(c.name))return;let p=o?`${new Date().toISOString()} `:"",l=c.name||"",f=er[l||""];f==null&&(er[l]=f);let d=[`[${l||"*"}]`,Ce(c.messages,{pretty:i})];function g(...m){u.write(`${m.join("	")}
`);}switch(c.level){case O:g(`${p}I|*  `,...d);break;case B:g(`${p}W|** `,...d);break;case $:g(`${p}E|***`,...d);break;default:g(`${p}D|   `,...d);break}}}function si(e){return typeof e!="string"?[]:e?.split(`
`).map(t=>{let n=t.match(/^\s+at.*(\((.*)\)|file:\/\/(.*)$)|\s*at\s(\/.*)$/);if(n){let r=n[3]||n[2]||n[4];return r.endsWith(")")&&(r=r.slice(0,-1)),r}})?.filter(Un)??[]}function rr(e){if(e.includes("/node_modules/"))return "";let t="file://";if(e.startsWith(t))return e.substr(t.length);let n=path.resolve(process.cwd());if(n&&e.startsWith(n))return e.substr(n.length+1);let r=process.env?.HOME?path.resolve(process.env?.HOME):"";return r&&e.startsWith(r)&&(e=`~/${e.substr(r.length+1)}`),e}function ai(e){let t=e.match(/^\s*at.*(\((.*)\)|file:\/\/(.*)$)|\s*at\s(\/.*)$/);if(t){let n=t[3]||t[2]||t[4];return n.endsWith(")")&&(n=n.slice(0,-1)),n}return ""}function St(e=2,t=!0){let n=new Error("stack").stack||"",r=si(n)?.[e];return r&&t&&(r=rr(r)),r||""}function or(){return new Error("stack").stack||""}function ir(e,t=!0){let n="",r=new Error("stack").stack||"";if(typeof r=="string"){let o=r.split(`
`).map(u=>u.trim()),i=o.findIndex(u=>e.some(a=>u.startsWith(a)));n=o[i+1],n&&(n=ai(n)),n&&t&&(n=rr(n));}return n}function ci(){try{return ae(process.env.ZEED_COLOR,ui__default.default.isatty(process.stdout.fd))}catch{}return !1}var Pt,sr=[6,2,3,4,5,1];function li(e){let t=0;for(let n=0;n<e.length;n++)t=(t<<5)-t+e.charCodeAt(n),t|=0;return sr[Math.abs(t)%sr.length]}var ar={},Rt;function Ge(...e){process.stdout.write(`${Ce(e)}
`);}var xe={BOLD:"\x1B[1m",UNBOLD:"\x1B[2m",RED:"\x1B[31m",GREEN:"\x1B[32m",BLUE:"\x1B[34m",PURPLE:"\x1B[35m",GRAY:"\x1B[37m",ORANGE:"\x1B[38;5;208m",UNCOLOR:"\x1B[0m"};var cr="\x1B[0m";function he(e,t){return `${t===8?xe.ORANGE:`\x1B[3${t<8?t:`8;5;${t}`}m`}${e}${cr}`}function ur(e,t,n=!0){return e.map(r=>{if(typeof r!="string")return r;let o=t,i=cr;return n&&(o=`${xe.BOLD}${o}`,i=`${i}${xe.BOLD}`),`${o}${r}${i}`})}var fi="loggerStackTraceDebug-7d38e5a9214b58d29734374cdb9521fd964d7485";function lr(e={}){Pt==null&&(Pt=ci()),Rt==null&&(Rt=ye());let{level:t=void 0,filter:n=void 0,colors:r=Pt,levelHelper:o=!0,nameBrackets:i=!0,padding:u=0,fill:a=0,stack:s=!0,time:c=!0}=e,p=j(n),l=z(t);return f=>{if(!l(f.level)||!p(f.name))return;let d=ye(),g=f.name||"",m=ar[g||""];m==null&&(m={color:li(g)},ar[g]=m);let b=$n(d-Rt),y,T=i?`[${g}]`:g;if(u>0&&(T=T.padStart(u," ")),a>0&&(T=T.padEnd(a," ")),r){let h=m.color;y=[`${he(T,h)} | `],f.level===B?y.push(...ur(f.messages,xe.ORANGE)):f.level===$?y.push(...ur(f.messages,xe.RED)):y.push(...f.messages),c&&y.push(he(`+${b}`,h));}else y=[T,...f.messages],c&&y.push(`+${b}`);if(f.messages?.[0]===fi&&console.log(or()),s){let h="";typeof s=="boolean"?(h=ir(["at Function.","at null.log (","at log ("],!0),h||(h=St(0,!0))):h=St(typeof s=="number"?s:3,!0),h&&y.push(he(`(${h})`,7));}let v="|",D=".";switch(f.level){case O:o&&(y[0]=`I${v}${D}   ${y[0]}`),Ge(...y);break;case B:o&&(y[0]=(r?he(`W${v}${D}${D}  `,8):`W${v}${D}${D}  `)+y[0]),Ge(...y);break;case $:o&&(y[0]=(r?he(`E${v}${D}${D}${D} `,1):`E${v}${D}${D}${D} `)+y[0]),Ge(...y);break;default:o&&(y[0]=`D${v}    ${y[0]}`),Ge(...y);break}}}function pi(e,t){return We(n=>{let r=[lr({padding:32,nameBrackets:!1})],o=process.env.ZEED_LOG??process.env.LOG,i=ae(process.env.ZEED_TIME,!0),u=ae(process.env.ZEED_PRETTY,!1);o&&r.unshift(tr(Ut(o),{time:i,pretty:u})),n.setHandlers(r);})(e,t)}

exports.BinaryEncoder = nn;
exports.CRYPTO_DEFAULT_ALG = st;
exports.CRYPTO_DEFAULT_DERIVE_ALG = rn;
exports.CRYPTO_DEFAULT_DERIVE_ITERATIONS = Cr;
exports.CRYPTO_DEFAULT_HASH_ALG = on;
exports.Channel = Tt;
exports.CryptoEncoder = Hn;
exports.DAY_MS = mn;
exports.Day = A;
exports.DefaultLogger = I;
exports.Emitter = C;
exports.FileStorage = Xn;
exports.JsonEncoder = ce;
exports.LocalChannel = Ve;
exports.LogLevelAlias = It;
exports.LogLevelAll = q;
exports.LogLevelDebug = J;
exports.LogLevelError = $;
exports.LogLevelFatal = we;
exports.LogLevelInfo = O;
exports.LogLevelOff = X;
exports.LogLevelWarn = B;
exports.Logger = pi;
exports.LoggerConsoleHandler = be;
exports.LoggerContext = Mt;
exports.LoggerFileHandler = tr;
exports.LoggerMemoryHandler = ul;
exports.LoggerNodeHandler = lr;
exports.MemStorage = Zn;
exports.NoopEncoder = Vn;
exports.Progress = Y;
exports.PubSub = Lt;
exports.SerialQueue = qn;
exports.Uint8ArrayToHexDump = Ht;
exports.Uint8ArrayToJson = Ze;
exports.Uint8ArrayToString = Ot;
exports.XRX = Bn;
exports._decodeUtf8Polyfill = br;
exports._encodeUtf8Polyfill = xr;
exports._useBase = zr;
exports.arrayAvg = Ms;
exports.arrayBatches = ks;
exports.arrayEmptyInPlace = Us;
exports.arrayFilterInPlace = lt;
exports.arrayFlatten = se;
exports.arrayIntersection = Nr;
exports.arrayIsEqual = Hr;
exports.arrayMax = Rs;
exports.arrayMin = Fs;
exports.arrayMinus = _r;
exports.arrayRandomElement = Ps;
exports.arrayRemoveElement = cn;
exports.arraySetElement = As;
exports.arrayShuffle = Ds;
exports.arrayShuffleForce = Ss;
exports.arrayShuffleInPlace = ln;
exports.arraySorted = Vr;
exports.arraySortedNumbers = Es;
exports.arraySum = Is;
exports.arraySymmetricDifference = Ls;
exports.arrayToggleInPlace = vs;
exports.arrayUnion = jr;
exports.arrayUnique = ct;
exports.assert = yr;
exports.assertCondition = Ct;
exports.avg = ps;
exports.between = fs;
exports.bitfield = ts;
exports.blobToArrayBuffer = kr;
exports.blobToUint8Array = ns;
exports.cloneJsonObject = Uu;
exports.cloneObject = ue;
exports.cmp = ut;
exports.colorString = he;
exports.colorStringList = ur;
exports.composeOrderby = hs;
exports.createArray = Cs;
exports.createBinaryStreamDecoder = es;
exports.createBinaryStreamEncoder = Xi;
exports.createLocalChannelPair = bc;
exports.createPromise = wn;
exports.createPromiseProxy = Gn;
exports.csvParse = mo;
exports.csvParseToObjects = ku;
exports.csvStringify = Mu;
exports.dateStringToDays = Aa;
exports.day = La;
exports.dayDay = Kr;
exports.dayDiff = ca;
exports.dayFromAny = oa;
exports.dayFromDate = $e;
exports.dayFromDateGMT = sa;
exports.dayFromParts = yt;
exports.dayFromString = bn;
exports.dayFromTimestamp = Yr;
exports.dayFromToday = xn;
exports.dayIterator = fa;
exports.dayMonth = yn;
exports.dayMonthStart = aa;
exports.dayOffset = Be;
exports.dayRange = la;
exports.dayToDate = hn;
exports.dayToDateGMT = ia;
exports.dayToParts = ra;
exports.dayToString = Qr;
exports.dayToTimestamp = gt;
exports.dayYear = mt;
exports.dayYearStart = ua;
exports.debounce = rl;
exports.decimal = Xr;
exports.decimalCentsPart = Da;
exports.decimalFromCents = Ua;
exports.decimalToCents = Ea;
exports.decodeBase16 = _s;
exports.decodeBase32 = fn;
exports.decodeBase58 = Ns;
exports.decodeBase62 = pn;
exports.decodeJson = Qi;
exports.decrypt = un;
exports.deepEqual = eo;
exports.deepMerge = _e;
exports.deepStripUndefinedInPlace = to;
exports.deriveKeyPbkdf2 = ss;
exports.detect = bl;
exports.diffObjects = no;
exports.digest = is;
exports.empty = vu;
exports.encodeBase16 = Os;
exports.encodeBase32 = ft;
exports.encodeBase58 = js;
exports.encodeBase62 = pt;
exports.encodeJson = Yi;
exports.encodeQuery = kn;
exports.encrypt = an;
exports.endSortWeight = Mn;
exports.ensureFolder = Zl;
exports.ensureKey = wu;
exports.ensureKeyAsync = Tu;
exports.equalBinary = Vt;
exports.escapeHTML = En;
exports.escapeRegExp = Rn;
exports.estimateSizeForBase = Vs;
exports.exists = Dt;
exports.fatal = mr;
exports.fetchBasic = Wn;
exports.fetchJson = dl;
exports.fetchOptionsBasicAuth = ko;
exports.fetchOptionsFormURLEncoded = ml;
exports.fetchOptionsJson = yl;
exports.fetchText = gl;
exports.fixBrokenUth8String = ta;
exports.forEachDay = wa;
exports.forTimes = Su;
exports.formatMessages = Zr;
exports.formatMilliseconds = $n;
exports.fromBase64 = wr;
exports.fromBase64String = ki;
exports.fromCamelCase = zs;
exports.fromHex = jt;
exports.getEnvVariableRelaxed = $l;
exports.getGlobal = xl;
exports.getGlobalContext = Q;
exports.getGlobalEmitter = tc;
exports.getGlobalLogger = We;
exports.getGlobalLoggerIfExists = kt;
exports.getNamespaceFilterString = pr;
exports.getNavigator = Co;
exports.getSecureRandom = Br;
exports.getSecureRandomIfPossible = R;
exports.getSourceLocation = St;
exports.getSourceLocationByPrecedingPattern = ir;
exports.getStack = or;
exports.getStackLlocationList = si;
exports.getTimestamp = ye;
exports.getWebCrypto = Ml;
exports.getWindow = Jn;
exports.immediate = ga;
exports.isArray = G;
exports.isBoolean = vn;
exports.isBrowser = Bo;
exports.isEven = Fn;
exports.isHalf = ge;
exports.isInteger = Ra;
exports.isLocalHost = il;
exports.isNotNull = Un;
exports.isNull = Ma;
exports.isNullOrUndefined = Ia;
exports.isNumber = An;
exports.isObject = H;
exports.isPrime = gs;
exports.isPrimeRX = ds;
exports.isPrimitive = ht;
exports.isPromise = k;
exports.isRecord = Oe;
exports.isRecordPlain = Pa;
exports.isSafeInteger = Fa;
exports.isString = Ln;
exports.isTimeout = ya;
exports.isUint8Array = ka;
exports.isValue = Ca;
exports.joinToUint8Array = Ii;
exports.jsonStringify = Pi;
exports.jsonStringifySafe = M;
exports.jsonStringifySorted = Si;
exports.jsonToUint8Array = Je;
exports.last = Au;
exports.lazyListener = nc;
exports.linkifyPlainText = yu;
exports.listDistinctUnion = Ga;
exports.listGroupBy = Ha;
exports.listOfKey = za;
exports.listQuery = Va;
exports.loggerStackTraceDebug = fi;
exports.memoize = Eu;
exports.memoizeAsync = Du;
exports.moveSortWeight = lu;
exports.noop = vl;
exports.objectIsEmpty = Ka;
exports.objectMap = Ja;
exports.objectMergeDisposable = Za;
exports.parseArgs = Dl;
exports.parseBasicAuth = Mo;
exports.parseDate = oc;
exports.parseLogLevel = ze;
exports.parseOrderby = Or;
exports.parseQuery = hu;
exports.pbcopy = Pl;
exports.promisify = V;
exports.qid = mc;
exports.randomBoolean = us;
exports.randomFloat = ls;
exports.randomInt = cs;
exports.randomUint8Array = ie;
exports.readText = Yl;
exports.regExpEscape = Ru;
exports.regExpString = po;
exports.removeFolder = Kl;
exports.renderMessages = Ce;
exports.roundDown = tu;
exports.roundHalfAwayFromZero = ou;
exports.roundHalfDown = iu;
exports.roundHalfEven = su;
exports.roundHalfOdd = ru;
exports.roundHalfTowardsZero = au;
exports.roundHalfUp = nu;
exports.roundUp = eu;
exports.seededRandom = ms;
exports.setUuidDefaultEncoding = dc;
exports.setupEnv = Ol;
exports.setupWebCrypto = Il;
exports.size = Lu;
exports.sleep = da;
exports.sortedItems = ao;
exports.sortedOrderby = xs;
exports.startSortWeight = In;
exports.stringToBoolean = Js;
exports.stringToFloat = Ks;
exports.stringToInteger = Zs;
exports.stringToPath = Vo;
exports.stringToUInt8Array = $t;
exports.suid = lc;
exports.suidBytes = _n;
exports.suidBytesDate = So;
exports.suidDate = fc;
exports.sum = $r;
exports.throttle = nl;
exports.timeout = ma;
exports.toBase64 = Nt;
exports.toBase64Url = Mi;
exports.toBool = ea;
exports.toCamelCase = dn;
exports.toCapitalize = qr;
exports.toCapitalizeWords = Gs;
exports.toFloat = Ys;
exports.toHex = _t;
exports.toHumanReadableFilePath = Jl;
exports.toHumanReadableUrl = co;
exports.toInt = Qs;
exports.toPath = Ut;
exports.toString = Xs;
exports.toUint8Array = E;
exports.toValidFilename = Pn;
exports.today = Ta;
exports.tryTimeout = Tn;
exports.uname = _;
exports.unescapeHTML = ja;
exports.useAsyncMutex = Ju;
exports.useBase = W;
exports.useDefer = Nu;
exports.useDispose = me;
exports.useDisposer = ju;
exports.useEventListener = Gu;
exports.useExitHandler = wl;
exports.useInterval = Hu;
exports.useLevelFilter = z;
exports.useMessageHub = Pc;
exports.useMutex = Wu;
exports.useNamespaceFilter = j;
exports.usePool = Jc;
exports.usePubSub = Cc;
exports.useRPC = $c;
exports.useSorted = du;
exports.useTimeout = Vu;
exports.uuid = K;
exports.uuid32bit = pc;
exports.uuidB32 = wo;
exports.uuidB62 = ho;
exports.uuidBytes = bt;
exports.uuidDecode = Nn;
exports.uuidDecodeB32 = Lo;
exports.uuidDecodeB62 = bo;
exports.uuidDecodeV4 = Eo;
exports.uuidEncode = Po;
exports.uuidEncodeB32 = To;
exports.uuidEncodeB62 = xo;
exports.uuidEncodeV4 = Uo;
exports.uuidIsValid = gc;
exports.uuidv4 = vo;
exports.valueToBoolean = ae;
exports.valueToFloat = Jr;
exports.valueToInteger = Wr;
exports.valueToPath = Ho;
exports.valueToString = dt;
exports.waitOn = ha;
exports.writeText = Ql;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=index.node.cjs.map