import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-f5186a33.js';
export { e3 as ArgumentsType, cR as AsyncMutex, d9 as AsyncReturnType, aa as BinInput, B as BinaryEncoder, n as CRYPTO_DEFAULT_ALG, o as CRYPTO_DEFAULT_DERIVE_ALG, p as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dF as Channel, dE as ChannelMessageEvent, dS as CryptoEncoder, aK as DAY_MS, b7 as Day, aM as DayInput, b6 as DayInputLegacy, aL as DayValue, bd as DecimalInput, bc as DecimalValue, dL as DefaultListener, dj as DefaultLogger, bm as Difference, bl as DifferenceType, cH as Disposable, cG as Disposer, cF as DisposerFunction, dM as Emitter, dJ as EmitterAllHandler, dI as EmitterHandler, dP as Encoder, bJ as FilterFunction, dR as JsonEncoder, dK as ListenerSignature, dG as LocalChannel, dk as LogLevel, dt as LogLevelAlias, du as LogLevelAliasKey, dl as LogLevelAll, dm as LogLevelDebug, dq as LogLevelError, dr as LogLevelFatal, dn as LogLevelInfo, ds as LogLevelOff, dp as LogLevelWarn, dv as LogMessage, dy as LoggerConsoleHandler, dx as LoggerContext, dw as LoggerContextInterface, dD as LoggerMemoryHandler, bK as MapperFunction, eo as MemStorage, en as MemStorageOptions, dV as Message, dT as MessageAction, dZ as MessageDefinitions, d_ as MessageHub, dU as MessageResult, dX as MessagesDefaultMethods, dY as MessagesMethods, dW as MessagesOptions, cQ as Mutex, es as NestedArray, dQ as NoopEncoder, cV as PoolConfig, cY as PoolTask, cZ as PoolTaskEvents, cW as PoolTaskFn, cU as PoolTaskIdConflictResolution, cX as PoolTaskState, bq as Primitive, c$ as Progress, e1 as PubSub, e6 as RPCFn, e5 as RPCOptions, e7 as RPCReturn, aG as RenderMessagesOptions, e4 as ReturnType, c7 as RoundingMode, dc as SerialQueue, ci as SortableItem, db as TaskEvents, da as TaskFn, aq as Uint8ArrayToHexDump, ap as Uint8ArrayToJson, ae as Uint8ArrayToString, cM as UseDefer, cJ as UseDispose, cE as XRX, ac as _decodeUtf8Polyfill, ab as _encodeUtf8Polyfill, $ as _useBase, Y as arrayAvg, Z as arrayBatches, M as arrayEmptyInPlace, I as arrayFilterInPlace, D as arrayFlatten, E as arrayIntersection, Q as arrayIsEqual, V as arrayMax, W as arrayMin, z as arrayMinus, U as arrayRandomElement, G as arrayRemoveElement, H as arraySetElement, S as arrayShuffle, T as arrayShuffleForce, R as arrayShuffleInPlace, N as arraySorted, P as arraySortedNumbers, X as arraySum, F as arraySymmetricDifference, K as arrayToggleInPlace, A as arrayUnion, y as arrayUnique, d as assert, e as assertCondition, bW as avg, bU as between, k as bitfield, l as blobToArrayBuffer, m as blobToUint8Array, cy as cloneJsonObject, cx as cloneObject, c3 as cmp, c2 as composeOrderby, _ as createArray, j as createBinaryStreamDecoder, i as createBinaryStreamEncoder, dH as createLocalChannelPair, d0 as createPromise, d$ as createPromiseProxy, w as csvParse, x as csvParseToObjects, v as csvStringify, bb as dateStringToDays, ba as day, aP as dayDay, b3 as dayDiff, aT as dayFromAny, aV as dayFromDate, aW as dayFromDateGMT, a_ as dayFromParts, a$ as dayFromString, aY as dayFromTimestamp, aS as dayFromToday, b5 as dayIterator, aO as dayMonth, b0 as dayMonthStart, b2 as dayOffset, b4 as dayRange, aR as dayToDate, aU as dayToDateGMT, aQ as dayToParts, aZ as dayToString, aX as dayToTimestamp, aN as dayYear, b1 as dayYearStart, de as debounce, be as decimal, bh as decimalCentsPart, bf as decimalFromCents, bg as decimalToCents, a4 as decodeBase16, a2 as decodeBase32, a6 as decodeBase58, a8 as decodeBase62, h as decodeJson, u as decrypt, bi as deepEqual, bk as deepMerge, bj as deepStripUndefinedInPlace, s as deriveKeyPbkdf2, ek as detect, bn as diffObjects, q as digest, cw as empty, a3 as encodeBase16, a1 as encodeBase32, a5 as encodeBase58, a7 as encodeBase62, g as encodeJson, cq as encodeQuery, t as encrypt, ck as endSortWeight, cs as ensureKey, ct as ensureKeyAsync, an as equalBinary, bo as escapeHTML, c6 as escapeRegExp, a9 as estimateSizeForBase, f as fatal, eb as fetchBasic, ec as fetchJson, eg as fetchOptionsBasicAuth, ee as fetchOptionsFormURLEncoded, ef as fetchOptionsJson, ed as fetchText, aJ as fixBrokenUth8String, b8 as forEachDay, cB as forTimes, aH as formatMessages, eq as formatMilliseconds, al as fromBase64, am as fromBase64String, au as fromCamelCase, ai as fromHex, ej as getGlobal, df as getGlobalContext, dN as getGlobalEmitter, dh as getGlobalLogger, di as getGlobalLoggerIfExists, dz as getNamespaceFilterString, ei as getNavigator, bP as getSecureRandom, bQ as getSecureRandomIfPossible, ep as getTimestamp, eh as getWindow, e9 as httpMethod, d2 as immediate, bt as isArray, bA as isBoolean, el as isBrowser, c9 as isEven, c8 as isHalf, by as isInteger, dg as isLocalHost, bE as isNotNull, bC as isNull, bB as isNullOrUndefined, bx as isNumber, br as isObject, bY as isPrime, bX as isPrimeRX, bs as isPrimitive, d7 as isPromise, bu as isRecord, bv as isRecordPlain, bz as isSafeInteger, bw as isString, d4 as isTimeout, bD as isUint8Array, bF as isValue, ag as joinToUint8Array, bI as jsonStringify, bH as jsonStringifySafe, bG as jsonStringifySorted, ao as jsonToUint8Array, cv as last, dO as lazyListener, co as linkifyPlainText, bN as listDistinctUnion, bM as listGroupBy, bO as listOfKey, bL as listQuery, cz as memoize, cA as memoizeAsync, cl as moveSortWeight, et as noop, c0 as objectIsEmpty, b_ as objectMap, b$ as objectMergeDisposable, ea as parseBasicAuth, er as parseDate, dB as parseLogLevel, c1 as parseOrderby, cr as parseQuery, d8 as promisify, eP as qid, bR as randomBoolean, bT as randomFloat, bS as randomInt, r as randomUint8Array, cD as regExpEscape, cC as regExpString, aI as renderMessages, cb as roundDown, ce as roundHalfAwayFromZero, cf as roundHalfDown, cg as roundHalfEven, cd as roundHalfOdd, ch as roundHalfTowardsZero, cc as roundHalfUp, ca as roundUp, bZ as seededRandom, eJ as setUuidDefaultEncoding, cu as size, d1 as sleep, cm as sortedItems, c4 as sortedOrderby, cj as startSortWeight, av as stringToBoolean, ax as stringToFloat, aw as stringToInteger, ad as stringToUInt8Array, eF as suid, eE as suidBytes, eH as suidBytesDate, eG as suidDate, bV as sum, dd as throttle, d3 as timeout, aj as toBase64, ak as toBase64Url, aF as toBool, ar as toCamelCase, as as toCapitalize, at as toCapitalizeWords, aC as toFloat, ah as toHex, cp as toHumanReadableUrl, aD as toInt, aE as toString, af as toUint8Array, c5 as toValidFilename, b9 as today, d5 as tryTimeout, eO as uname, bp as unescapeHTML, cT as useAsyncMutex, a0 as useBase, cL as useDefer, cI as useDispose, cK as useDisposer, cP as useEventListener, em as useExitHandler, cO as useInterval, dC as useLevelFilter, e0 as useMessageHub, cS as useMutex, dA as useNamespaceFilter, c_ as usePool, e2 as usePubSub, e8 as useRPC, cn as useSorted, cN as useTimeout, eK as uuid, eI as uuid32bit, ey as uuidB32, ev as uuidB62, eu as uuidBytes, eL as uuidDecode, eA as uuidDecodeB32, ex as uuidDecodeB62, eD as uuidDecodeV4, eM as uuidEncode, ez as uuidEncodeB32, ew as uuidEncodeB62, eC as uuidEncodeV4, eN as uuidIsValid, eB as uuidv4, ay as valueToBoolean, aA as valueToFloat, az as valueToInteger, aB as valueToString, d6 as waitOn } from './uuid-f5186a33.js';

/** @deprecated */
declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function Logger(name?: string, level?: LogLevelAliasType): LoggerInterface;

export { Json, LocalStorage, LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, Logger, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, gravatarURLByEmail, selectColor, supportsColors, urlBase64ToUint8Array };
